#	$Id: CHANGES 1188 2013-08-06 23:13:37Z faxguy $	

New Changes

* extend Class1RecvAbortOK = 0 timeout to 500 ms (4 Dec 2021)
* cope with Si2435 V.34/V.8 connection glitch (17, 19 Nov 2021)
* cope with spurious +FCERROR or other delayed messages from modem (26 Oct 2021)
* avoid letting corrupt RTC signals lead to RTN (26 Oct 2021)
* don't refer to DCN as an invalid response in error messages (20 Oct 2021)
* handle TSI during procedural interrupt (19 Oct 2021)
* do better with waiting on prologue frames from receiver (13 Oct 2021)
* cope with echo of ERR (13 Oct 2021)
* run ps2fax, pdf2fax, tiff2fax, pcl2fax coverters as fax user (12 Oct 2021)
* attempt to cope with receivers who signal RTN in ECM Phase D (23 Sep 2021)
* fix hfaxd build when LDAP libs are not present (23 Sep 2021)
* handle PPR echo after fourth PPR (22 Sep 2021)
* don't use CRP when waiting for CFR following training (15 Sep 2021)
* attempt to cope with receivers which signal CFR after PPS (14 Sep 2021)
* cope with senders who signal FTT in Phase D (10 Sep 2021)
* fix problem with handling NSF/CSI/DIS frame after CTC/EOR (9 Sep 2021)
* cope with senders who signal PPS without the PPS FCF (9 Sep 2021)
* handle echo of PPR when expecting CTC/EOR (8 Sep 2021)
* add failure messages for unspecified training failures (7 Sep 2021)
* don't use CRP when waiting for CTR (7 Sep 2021)
* handle echo of EOR, don't use CRP when waiting for ERR (7 Sep 2021)
* repeat PIN if sender repeats post-page or partial-page message (7-8 Sep 2021)

(7.0.4)

* retry training twice at the same bitrate unless FTT (26 Aug 2021)
* add missing reason messages for session failures (21 Aug 2021)
* stop attempts to send or receive signals if the call ended prematurely (16-19 Aug 2021)
* add Class1HasRMHookIndication (16 Aug 2021)
* don't attempt sending DCN if we're already on hook (15, 17 Aug 2021)
* end session sooner if receiver hangs up immediately after TCF or during prologue (14 Aug 2021)
* fix some behavior following frame reception timeouts (13 Aug 2021)
* improve behavior if procedural interrupt fails (12 Aug 2021)
* handle sender repeating RR after we transmit MCF (10 Aug 2021)
* add session logging of receipt of CFR/FTT signals (3 Aug 2021)
* cope with receipt of PPR following CTC (3 Aug 2021)
* attempt to cope with NSF/CSI/DIS after PPS, CTR, ERR, RR and improve coping with
  the same after MPS/EOP/EOM (2, 12, 14, 18 Aug 2021)
* identify DCN after PPS as a receiver abort (2 Aug 2021)
* attempt to cope with receipt of CTR after sending PPS (2 Aug 2021)
* remove use of deprecated libtiff integer types and "register" storage class specifier (25 Jul 2021)
* don't employ senderFumblesECM if V.34-Fax was negotiated (25 Jul 2021)
* update configure to accept libtiff v4.2 and v4.3 (24 Jul 2021)
* fix page handling "botch" if a job's first and previous attempts were on a proxy (20 Jul 2021)
* fix data timeout for bitrates less than 14400 bps when non-zero scanline time (15 Jul 2021)
* try to cope with T.38 invite stutter at beginning of send (15 Jul 2021)
* decouple session logging from direct filesystem I/O (15 Jul 2021)
* try to help receivers who may expect initial 1-bits to start high-speed data (8, 9 Jul, 4 Aug 2021)
* improve tenacity of "persistent" ECM (26 Jun 2021)
* maintain the same SSL Fax passcode during a single session (20 May 2021)
* log detection of binary file transfer support in receivers (1 Apr 2021)
* add support for SiLabs Si2417/Si2435 (5 Feb 2021)

(7.0.3)

* add UseSSLFax feature in sendfax, sendfax.conf, hyla.conf, and JobControl
  (31 Jul 2020)
* be more resilient in listening for the Phase C carrier (30 Jul 2020)
* make sure to return to command mode if HDLC receive times out (29 Jul 2020)
* make faxmail ignore boundaries on parts other than multiparts (29 Jul 2020)
* don't attempt to write zero bytes of data to a TIFF (29 Jul 2020)
* don't ever respond to CRP with CRP (28 Jul 2020)
* secure setup.cache/setup.modem - CVE-2020-15397 (27, 30 Jul 2020)
* reset frame counter when a sender retransmits PPS for a previously confirmed
  ECM block (26 Jul 2020)
* scrutinize PPM before concluding that the sender missed our MCF (23 Jul 2020)
* fix modem recovery after SSL Fax failure (22, 26 Jul 2020)
* ignore echo of PPR, RTN, CRP (10, 13, 21 Jul 2020)
* attempt to handle NSF/CSI/DIS in Class 1 sending Phase D (6 Jul 2020)
* run scripts directly rather than invoking them via a shell for security
  hardening (3-5 Jul 2020)
* add senderFumblesECM feature (3 Jul 2020)
* add support for PIN/PIP/PRI-Q/PPS-PRI-Q signals, add senderConfusesPIN
  feature, and utilize PIN for rare conditions where it may be helpful
  (2, 6, 13-14 Jul 2020)
* add senderConfusesRTN feature (25-26 Jun 2020)
* add MissedPageHandling feature (24 Jun 2020)
* use and handle CFR in Phase D to retransmit Phase C (16, 23 Jun 2020)
* cope with hearing echo of RR, CTC during Class 1 sending (15-17 Jun 2020)
* fix listening for retransmission of MPS/EOP/EOM if it was received
  corrupt on the first attempt (15 Jun 2020)
* secure temporary directory creation for faxsetup, faxaddmodem, and
  probemodem - CVE-2020-15396 (13 Jun 2020)
* don't use CRP when receiving PPS/PPM as some senders think
  we are sending MCF (12 Jun 2020)
* add BR_SSLFAX to show SSL Fax in notify and faxinfo output (1 Jun 2020)
* have faxinfo put units on non-standard page dimensions (28 May 2020)
* improve error messages for JobHost connection errors (22 May 2020)
* fix perpetual blocking of jobs when a job preparation fails,
  attempt to fix similar blocking problems for bad jobs in
  batches, and add "unblock" faxconfig feature (21 May 2020)
* ignore TCF if we're receiving an SSL Fax (31 Jan 2020)
* fixes for build on FreeBSD 12.1 (31 Jan - 3 Feb 2020)

(7.0.2)

* change FIXEDWIDTH default to better accommodate auto-rotation (13 Dec 2019)
* prevent SSL_accept() from blocking (5 Dec 2019)
* support libtiff v4.1 (5 Dec 2019)
* fix ignoremodembusy feature broken by ModemGroup limits feature (16 Nov 2019)

(7.0.1)

* create a client timeout setting and change the default from 60 to
  3600 seconds (26 Sep 2019)
* extend timeout for receiving ECM frames (21 Aug 2019)
* fix timeout in Class 1 frame reception (5 Aug 2019)
* improve Class 1 protocol handling when MaxRecvPages exceeded (31 Jul 2019)
* fix ModemGroup limit default (11 Jul 2019)
* fix recovery for SSL Fax write failures (6 Jun 2019)

(7.0.0)

* add LDAP features for compatibility with ActiveDirectory (25 Mar-1 Apr 2019)
* fix recovery after SSL Fax "accept failure" (18 Mar 2019)
* add TextFormat overstrike option and disable by default (6 Feb 2019)
* fix the page size of cover sheets returned via notify (8 Jan 2019)
* fix or silence numerous compiler warnings (19, 22, 28 Dec 2018)
* fix pagehandling updating after a proxy has been used (7-8 Dec 2018)
* add faxmail stderr output of RFC2047 decoding results (5 Dec 2018)
* fix faxmail handling of headers encoded with UTF-8 (4 Dec 2018)
* fix faxmail handling of base64-encoded text parts (4 Dec 2018)
* add SSL Fax support (9-26, 29 Nov; 11, 18, 25 Dec 2018; 2, 7, 23 Jan 2019)

(5.6.1)

* address CVE-2018-17141, fixes JPEG vulnerabilities (18 Sep 2018)

(5.6.0)

* some adjustments to assist AIX 6.1 builds (29 Jun 2018)
* initial support for systemd in faxsetup (29 Jun 2018)
* fix RFC2047 encoding by notify (27 Jun, 3 Jul 2018)
* add jobcontrol PageSize feature (27 Jun 2018)
* fix various compiler warnings (27 Jun 2018)
* fix build on musl-based distribution (27 Jun 2018)
* don't wait forever after +FRH:3 (18 Jun 2018)
* add -A and -B options to tagtest (22 Feb 2018)
* make tagtest use the TSI and CallerID data, if available (21 Feb 2018)
* make tagtest use the date from the TIFF tags, if available, 
  instead of "now" (20 Feb 2018)
* pass Content-Type name and Content-Disposition filename 
  information to faxmail MIMEHandlers (15 Jan 2018)
* fix faxmail transition between a message and external types (15 Jan 2018)
* fix warning for major and minor macros move to sysmacros.h (19 Dec 2017)
* avoid pagehandling from introducing some unnecessary EOM signals (15 Dec 2017)
* improve proxy connection error handling and logging (5 Dec 2017)
* fix for reproducible builds (11 Sep 2017)
* fix quote escaping in client apps (5 Sep 2017)
* treat callingnumber <NONE> as null (25, 31 Aug 2017)
* add initial ModemGroup limits feature (24 Aug 2017)
* add CLEANFAXDATA and BADFAXLINES TIFF tags for ECM receptions (10 Aug 2017)
* pass the user's uid onto the session log file for sent faxes (25 Jul 2017)
* improve job waits to minimize triggers (30 May 2017)
* increase FIFO read size and add logging information (25 May 2017)
* add ProxyTaglineFormat and ProxyTSI features (13 Mar 2017)

(5.5.9)

* fix a handful of compiler warnings for gcc v7 (13, 17 Feb 2017)
* fix job rescheduling if the proxy connection attempt fails (13 Jul 2016)
* increase the maximum number of triggers from 1024 to 4096 (13 Jul 2016)
* eliminate faxq job priority "bounding" (13 Jul 2016)
* attempt to detect premature non-ECM Phase C carrier loss (15 Jun 2016)
* add missing recvq error message indications (6 May 2016)
* fix tagtest support for multi-strip images (25 Mar 2016)
* enhance textfmt wrapping to occur on word boundaries (24 Feb 2016)

(5.5.8)

* stop using mktemp() (5 Feb 2016)
* fix LDAP authentication broken in 5.5.4 (24-26 Jan 2016)
* reset senderinfo properly when receiving faxes (22 Jan 2016)
* cope with V.21 HDLC carrier loss following +FRH:3 better (22, 26 Jan 2016)
* increase the time Class1SwitchingCmd will wait for a response (14 Jan 2016)
* undo faulty/incorrect previous "fix" to ntries/npages (13 Jan 2016)
* fix short blocking problems in reading from the device (12 Jan 2016)

(5.5.7)

* fix ntries counter to apply to pages instead of documents (5 Dec 2015)
* reject jobs rejected by the proxy (18-19 Nov 2015)
* add RewriteFaxName and RewriteFaxNumber jobcontrol features (14 Nov 2015)
* improve Chinese translation (7 Oct 2015)
* make faxsetup fix blind references in Fontmap.HylaFAX (3 Oct 2015)
* use the remote time on proxy job submisisons (17 Sep 2015)
* create more-secure hosts.hfaxd passwords by default (28 Aug 2015)
* add admin login feature for faxstat (27 Aug 2015)
* add ProxyJobTag jobcontrol feature (26 Aug 2015)
* fix grevious calculation problem with Class1RestrictPoorSenders and 
  Class1RestrictPoorDestinations (20 Aug 2015)
* add application/binary MIMEConverter (17 Jul 2015)
* fix DynamicConfig for Class 1 modem data format support (15 Jul 2015)
* fix crash in tagline imaging due to glyph ascent (23 Jun 2015)
* stop messing with the FIFO during installs and uninstalls (16 Jun 2015)
* avoid conflicts with a TTY environment variable (15 Jun 2015)
* fix dataTimeout esp for modems with large buffers in non-ECM (22 May 2015)
* fix dataTimeout primarily affecting 7200 bps ECM sending (15 May 2015)

(5.5.6)

* add typerules suggestion for PNG conversion (19 Mar 2015)
* support more than 256 pages in Class 1 ECM (26 Feb 2015)
* cope with application/pdf being encoded with quoted-printable
  in faxmail (13 Feb 2015)
* fix npages and totpages recording in sendq when proxied (31 Jan 2015)
* fix EOF reading fault on badly-formatted MIME in faxmail (12 Jan 2015)
* fix hi-res tagline imaging on 64-bit systems (10 Dec 2014)
* add support for seqf.increment files to indicate seqf 
  incrementation (14 Nov 2014)
* add support to faxmail to decode long-wrapped base64 (11, 14-15 Oct 2014)
* fix proxy setting of null taglines (16 Sep 2014)
* fix ModemWaitForConnect configuration setting (16 Sep 2014)
* add debug messages for the attempt to locate a suitable modem
  for jobs (12 Aug 2014)
* fix missed data type for libtiff v4 (31 Jul, 11 Aug 2014)
* fix faxsend segfault caused by an empty TagLine field introduced in
  alignment features added in 5.5.5 (25 Jul 2014)
* pass job priority to the proxy server (21 Jul 2014)
* add JobHostID feature (16, 29-31 Jul 2014)
* fix instances where a NULL return of crypt() is ignored (13 Jul 2014)
* improve support for utmpx on BSD (10 Jul 2014)
* apply some downstream patches from FreeBSD ports (10 Jul 2014)
* use ps2write in faxmail pdf converter if pswrite is missing (6 Jul 2014)
* modify FIFO usage and remove CONFIG_FIFOBUG and CONFIG_OPENFIFO (5 Jul 2014)

(5.5.5)

* update config.guess and config.sub (26 May 2014)
* add sendfax "probeonly" feature (11 Apr 2014)
* fix rare faxgetty crash caused by frame-count mistake (11 Apr 2014)
* leave deletion of imaged docq files to faxqclean (21 Mar 2014)
* fix problem of vanishing rejected sendq files from 5.5.3 (20 Feb 2014)
* detect RING/CALLEDPARTYNUMBER presentation (17 Feb 2014)
* add linux-isdn-1 prototype config file (17 Feb 2014)
* improve coding in configure (17 Feb 2014)
* allow auto-rotate to match more page sizes (10 Feb 2014)
* cope with Ghostscript release candidate versioning (10 Feb 2014)
* add "{" and "}" TaglineFormat text alignment features (5 Jan 2014)
* add Hebrew dictionary translation (1 Jan 2014)
* correctly space multi-byte UTF-8 characters in the tagline (1 Jan 2014)
* improve faxmail handling of multipart messages (12, 25-27 Sep 2013)
* fix PCLFONTSOURCE usage (11 Sep 2013)
* fix pcl2fax -2 -3 and -color options (11 Sep 2013)
* avoid interpreting multiple NEWLEN markers in JBIG images (8 Sep 2013)
* automatically detect another type of problem for hasV34Trouble (7 Sep 2013)
* cope with senders that signal PPS-NULL after retransmissions following
  PPS-MPS (5 Sep 2013)

(5.5.4)

* trigtest: Fix file descriptor leak on error (6 Aug 2013)
* rewrite direct LDAP authentication function by Dennis Jenkins (31 Jul 2013)
* fix V.34 faxsend crash when DCN received instead of CFR (29 Jul 2013)
* prevent a job blocking problem following job preparation 
  failures (27 Jul 2013)
* remove double-slash in tmp files for faxmail/sendfax/sendpage (23 Jul 2013)
* implement PASV/EPSV port range restrictions via command-line
  parameter '-p min:max' (djenkins, 18 Jul 2013)
* fix an error in processing hfaxd "i" parameters, especially 
  following "f" or "l" options (13, 17 Jul 2013)
* make the modem hangup be part of the receive-fax session (12 Jul 2013)
* use -dAdjustWidth by default for FIXEDWIDTH for suitable
  Ghostscript versions (11 May 2013)
* fix text part formatting problems in faxmail (4 May 2013)
* add ProxyReconnects feature (26 Apr, 8 May 2013)
* add UseAlternativePart feature to faxmail (19 Apr 2013)
* support RFC1049 in faxmail (19 Apr 2013)
* add ShareCallFailures features (26 Feb 2013)

(5.5.3)

* make faxsetup start/stop hfaxd when not using SysV init (24 Feb 2013)
* fix various job blocking problems (24 Feb 2013)
* implement "MaxConcurrentCalls: 0" feature (19 Feb 2013)
* make FaxAccounting not block the process (15 Feb 2013)
* catch proxy server lies about dials and tries (14 Feb 2013)
* add -s "archive-script" feature to faxqclean (12 Feb 2013)
* add FaxArchive customization to default archive script (12 Feb 2013)
* don't have faxsend rename delivered docq files (1 Feb 2013)
* ensure that corrupt job q-files are rejected (1 Feb 2013)
* clear-up some linkage for Linux DSO (30 Jan 2013)
* add error message in case of EOT received for CFR (30 Jan 2013)
* implement a 1-hour timeout on non-ECM pages (10 Jan 2013)
* make sure to unblock blocked jobs if the blocking job is
  sent to a proxy (8 Jan 2013)
* fix coversheet page count for some PDF types (1 Jan 2013)
* fix page job submission broken in 5.5.1 (30 Dec 2012)
* do not flush the buffer after CONNECT following AT+FRM=n (25 Dec 2012)
* add JobControl ProxyMailbox and ProxyNotification features (24 Dec 2012)
* fix problems with launching jobcontrol and faxsend on some 
  C library versions (17, 20 Dec 2012)
* add JobControl ProxyTries and ProxyDials features (15 Dec 2012)
* fix proxy bug in undefined page size segfault (13 Dec 2012)
* remove shebangs from dict includes (3 Dec 2012)
* add man pages for various undocumented executables (3 Dec 2012)
* proxy compatibility with 4.1.x servers (23 Oct 2012)

(5.5.2)

* fix buggy JobControl assignment of Modem (24 Sep 2012)
* clean up some compiler warnings due to type formatting (24 Sep 2012)
* support TSI specification in config files (28 Aug 2012)
* make faxq proxy read hyla.conf (25 Jul 2012)
* cause sendfax -w to produce meaningful return values and display
  any failure message (18 Jul 2012)
* create timeout for client commands to non-responsive servers
  (9, 18 Jul 2012)
* check for modem write error before attempting DCN (2 Jul 2012)
* fix JobRequeueError and JobRetryError (28 Jun 2012)
* handle config files that may not end with a newline (28 Jun 2012)
* handle RING detected after dialing (28 Jun 2012)
* add wchar_t support (28 Jun 2012)
* add job timezone feature for tagline formatting (25 Jun, 3 Oct 2012)
* avoid infinite loop in faxmail handling of 
  application/octet-stream attachments (20 Jun 2012)
* add Class1RestrictPoorDestinations feature (18 Jun 2012)
* add dataSent and dataMissed info features (18 Jun 2012)
* add Class1RestrictPoorSenders feature (14 Jun 2012)
* add senderDataSent and senderDataMissed info features
  (13 Jun 2012)
* add filename typing capability in typerules (11 Jun 2012)
* use -dUseCropBox in FIXEDWIDTH by default (25 Apr 2012)
* fix JobRetryOther and JobReqOther so they work (14 Mar 2012)
* allow tiffcheck to tolerate 2mm extra length (8 Mar 2012)
* retrieve associated session logs from proxy server (2 Mar 2012)
* build and install faxfetch (29 Feb 2012)
* improve euid detection in faxsetup (14 Feb 2012)
* add LiberationSans-25.pcf fonts, use it by default instead of
  lutRS18.pcf, and set TagLineLocale appropriately (13 Feb 2012)
* add FILETYPE "none" option for FaxDispatch (6 Feb 2012)
* add support for Little CMS v2 (30 Jan 2012)
* add JobControl ProxyUser and ProxyPass options (27 Jan 2012)
* fix CCTO and BCCTO for faxrcvd (26 Jan 2012)
* prevent more problems due to corrupt sendq/doneq files (23 Jan 2012)

(5.5.1)

* fix some information presented by faxwatch (2 Jan 2012)
* fix JPARM JOBTYPE parameter (27 Dec 2011)
* remove useless MAXPAGES hfaxd JPARM option (27 Dec 2011)
* add support for proprietary LSI +FHS: codes 12-16 (6 Dec 2011)
* fix %r for ModemFmt (28 Nov 2011)
* add faxq Proxy feature through JobControl (28 Nov, 13, 21 Dec 2011)
* add duration and conntime job details to sendq files (28 Nov 2011)
* add -N option to faxalter (28 Nov 2011)
* make hfaxd more firewall-friendly (3 Nov 2011)
* fix color sending support for A4, B4, and A3 (2 Nov 2011)
* add support for the MT9234ZBA (12 Sep 2011)
* add recursive dialrules matching (11 Sep 2011)
* fix zero-length dialrules matching (11 Sep 2011)
* disable AUTOROTATE by default for old Ghostscript (5 Sep 2011)
* disable unnecessary debugging in hfaxd pasv mode (3 Sep 2011)
* fix various problems revealed by cppcheck (3 Sep 2011)
* fix problem with octet-stream MIME encoder (23 Aug 2011)
* prevent a faxq crash due to a corrupt sendq file (22 Aug 2011)
* remove -dFIXEDMEDIA from FIXEDWIDTH, again (24 May 2011)
* fix job-based TimeOfDay operation (5 Mar 2011)
* add Russian and Ukranian dictionary translations (16 Feb 2011)

(5.5.0)

* fix typerules byte type offset handling (4 Dec 2010)
* fix stripbytecount problem in libtiff 4.0 support (3 Dec 2010)
* use -dEPSFitPage -dPDFFitPage -dFIXEDMEDIA by default (29 Nov 2010)
* revert to pswrite for faxmail pdf MIMEConverter (27 Nov 2010)
* replace 'wc -L' with awk in scripting for portability (23 Nov 2010)
* add faxmail FirstAlternativeOnly configuration option and only
  use the first alternative part by default (22 Nov 2010)
* add support for UTF-8 in textfmt and faxmail (22 Nov 2010)
* detect hasV34Trouble for Class 1.0 DLE+EOT dial responses (20 Nov 2010)
* fix scheduler throttle (17 Nov 2010)
* add MaxTraversal scheduler config option (16 Nov 2010)
* use tiff2pdf instead of tiff2ps in tiff2fax conversions (6 Nov 2010)
* enable auto-rotate.ps by default with AUTOROTATE FaxModify feature
  (4 Nov 2010)
* make FIXEDWIDTH=-dPDFFitPage default instead of -dFIXEDMEDIA (4 Nov 2010)
* wait for OK at the end of a Class 1.0 V.34 disconnection (4 Nov 2010)
* expand color page buffer size to 2MB (25 Oct 2010)
* check for REG_STARTEND define for system regex support (25 Oct 2010)
* improve auto-rotate.ps to match most page sizes (25 Oct 2010)

(5.4.3)

* add faxadduser -c option (16 Oct 2010)
* detect hasV34Trouble for Class 1.0 "OK" dial responses (8 Oct 2010)
* fix build for gcc-4.5 (25 Sep 2010)
* use system regex library by default instead (20 Sep 2010)
* in faxmail's PDF MIMEConverter scale non-letter images onto letter 
  pages instead of cutting off parts of them (14 Sep 2010)
* in Class 1 sending ECM after CTC/CTR adjust dataTimeout to new bitrate
  (26 Jul 2010)
* add Class1ECMCheckFrameLength configuration option (24 Jun, 29 Aug 2010)
* improve the faxmail quoted-printable boundary check (19 Jun 2010)
* Use -dMaxStripSize=0 with Ghostscript calls (6 May 2010)

(5.4.2)

* work around a Ghostscript 8.71 segfault on genfontmap.ps (26 Apr 2010)
* cope with multi-strip MMR images prepared by Ghostscript (26 Apr 2010)
* handle unexpected receipt of RR when the sender didn't hear our MCF
  (25 Apr 2010)
* use ps2write device by default if available for faxmail pdf MIMEConverter
  (25 Apr 2010)
* cope with some modems' broken DTMF reporting when possible (23 Mar 2010)
* don't add a whitespace before typerules %o or %i (21 Mar 2010)

(5.4.1)

* be consistent to use libtiff tools from TIFFBIN in scripts (11 Feb 2010)
* add an alternative to open_memstream and fmemopen for systems 
  without these functions (8 Feb 2010)
* fix a problem with the calculation of the page data size which was 
  introduced in 5.4.0 (7 Feb 2010)
* add MaxConcurrentPreps faxq config feature and default to 1 (6 Feb 2010)
* fix a problem with the ANSWER "any" hfaxd command (4 Feb 2010)
* add ModemAnswerAgainCmd modem configuration option (20 Jan 2010)
* scan the entire page of image data for RTC when scanning for it (18 Jan 2010)
* wait longer for Phase C carrier drop in Class 1 (18 Jan 2010)
* stop decoding non-ECM page image data as soon as RTC is seen (18 Jan 2010)
* fix a potential hang in sending Class 1 data if the modem is hung (16 Jan 2010)
* fix faxdeluser from changing the gid of hosts.hfaxd (2 Jan 2010)
* change faxadduser to add new entries to the top of hosts.hfaxd (2 Jan 2010)
* in Class 1 if CONNECT is unexpectely received, it's an error (30 Dec 2009)

(5.4.0)

* add support for sending color faxes (8, 21 Dec 2009)
* use genfontmap.ps to create Fontmap.HylaFAX from faxsetup (5 Dec 2009)
* add LogSend and LogRecv modem configuration options (3 Dec 2009)
* use LittleCMS to convert received color faxes from ITULAB (3 Dec 2009)
* add Flemish dictionary translation (2 Dec 2009)
* handle echo of PPM when sending (9 Nov 2009)
* add support for libtiff v4.0 (6, 9 Nov 2009)
* faxmail: handle wrapped headers better (28 Oct 2009)

(5.3.0)

* add config option (usually -O) to the clients (29 Sep 2009)
* add -c option for hfaxd and faxq (29 Sep 2009)
* properly unblock jobs when job preparation fails (24 Sep 2009)
* make PostscriptTimeout format failures visible (24 Sep 2009)
* add auto-rotate.ps utility script (7 Sep 2009)
* add dialrules-pabx.be sample (7 Sep 2009)
* add "bindaddressfamily" option to hfaxd and default to IPv4 (7 Sep 2009)
* support Ghostscript 8.64 font aliases (28 Jul 2009)
* handle echo of PPS when sending (29 Apr 2009)
* improve detection of disabled Mac OS X (Darwin) realtime scheduling (21 Mar 2009)
* add IPv6 support (1 Mar 2009)

(5.2.9)

* cope better in cases where the modem may "ignore" our ATA (16 Feb 2009)
* fix problem involving JBIG attempts using non-JBIG Class 2.0 modems
  (20 Jan 2009)
* add --disable-ldap and --disable-jbig options for configure (10 Jan 2009)
* avoid a divide-by-zero error in additional logging from 5.2.8 (31 Dec 2008)

(5.2.8)

* add support for DSO on SCO (8 Dec 2008)
* fix handling of CRP receipt after CFR in non-ECM receive (8 Dec 2008)
* log number and percentage of frames bad after PPS (4 Dec 2008)
* fail receive if TIFF write error occurs (23 Nov 2008)
* initialize dataTimeout for TCF (8 Nov 2008)
* properly remove dialtest and typetest in 'make uninstall' (26 Oct 2008)
* add "-q spool" option for faxcron (12 Oct 2008)
* add i537ep modem configuration template (12 Oct 2008)
* use JobProtection to be default file permissions for sendq/doneq 
  files (11 Oct 2008)
* prevent faxq from reusing old prepared image files from other
  jobs (28 Sep 2008)
* make faxstate "DOWN" persist through a faxq modem release (20 Sep 2008)
* avoid collissions in hash code (15 Sep 2008)
* add hfaxd -D sleep option (15 Sep 2008)
* add IgnoreModemBusy and AllowIgnoreModemBusy experimental
  features enabling sending of jobs to incoming calls (14 Sep 2008)

(5.2.7)

* improve faxq's FIFO parsing resiliancy (6 Aug 2008)
* invoke SetupPrivateTmp from notify, faxrcvd, and pollrcvd (21 Jul 2008)

(5.2.6)

* fix timeout in sendClass1Data-putModemData (16 Jul 2008)
* fix $PCL6CMD in pcl2fax script (3 Jul 2008)
* handle control frame receipt in Class 1 V.34-Fax sending when
  switching to primary channel (31 May 2008)
* fix build for SCO 6.0.0 (27, 30 May 2008)

(5.2.5)

* remove faxcover_example_sgi.ps for legal reasons (24 May 2008)
* handle NO CARRIER results to AT+FRH=3 better (21 May 2008)
* correctly handle received bit order on JBIG in Class 2.1 (2 May 2008)
* add Class2DisableV34Cmd configuration option (29 Apr 2008)
* add Class2JBIGSupport modem configuration option (28 Apr 2008)
* warnings fixups and configure script modifications for gcc-4.3
  and specifically Fedora 9 (26 Apr 2008)

(5.2.4)

* don't allow frame 255 to go missing on PPS-NULL (22 Apr 2008)
* handle a V.34 control channel retrain when receiving and waiting
  for DCN (12 Apr 2008)
* don't strip Sender/SubAddr information in faxrcvd after a 
  colon (10 Apr 2008)
* blank ECM page block before use (8 Apr 2008)
* add direct LDAP authentication support (5 Apr 2008)
* restore JobFmt %Y %Z and RcvFmt %X %Y %Z options (5 Apr 2008)
* add default config support for Zoom 2949L (29 Mar 2008)

(5.2.3)

* make faxmail support ISO-8859-1 characters by default (25 Mar 2008)
* fix some client hfaxd connections from dying (especially faxwach)
  due to incomplete information in FIFO messages (16 Mar 2008)
* fix TimeOfDay consideration when batching (13 Mar 2008)
* fix a problem with va_list reuse when running clients in verbose
  mode (11 Mar 2008)
* improvements to client FIFO cleanup (11 Mar 2008)
* begin to use bin/dictionary in wedged e-mails (8 Mar 2008)
* make faxrcvd use sendmail -t instead of placing the to-addresses on
  the command-line (18 Feb 2008)

(5.2.2)

* make faxmail decode RFC2047-encoded headers (10 Feb 2008)
* add ModemRaiseATCommands configuration feature (8 Feb 2008)
* make parseQfile read $faxname and $faxnumber (7 Feb 2008)
* fix the initialization of CallID types when using CIDName or
  CIDNumber (7 Feb 2008)
* pass Content-Description, Content-ID, Content-Disposition information
  along to the faxmail MIMEConverters (7 Feb 2008)
* extend high-speed receive carrier when possible (5 Feb 2008)
* add support for <waitfor:VCON> (31 Jan 2008)
* more socklen_t adjustments for HP-UX 11 (31 Jan 2008)
* remove "old" protocol support (30 Jan 2008)
* make the server trust the client's specified document type (26 Jan 2008)
* make pcl2fax produce TIFF output directly (25 Jan 2008)
* escape double-quotes in client communication before passing them to the
  server (25 Jan 2008)
* improve resiliency after a AT+FRH=3, NO CARRIER condition (16 Jan 2008)
* employ "intelligent" RTFCC to use MH format when it is better
  than 2-D compressions (10, 12 Jan 2008)
* pass jobid into *2fax converters (8, 11 Jan 2008)

(5.2.1)

* fix initialization of ECM block number for Class 1 sending (5 Jan 2008)
* add completed support for server-side PCL support via GhostPCL (4 Jan 2008)
* make tiffcheck verify black-on-white photometric interpretation (2 Jan 2008)
* add new FaxModify DITHERING options for ps2fax and pdf2fax (1-2 Jan 2008)
* combine most of GS versions of ps2pdf and pdf2fax (31 Dec 2007)
* add qfile to RECV xferfaxlog records (24 Dec 2007)
* add Serbian dictionary translation (23 Dec 2007)
* define __USE_XOPEN in TagLine routines for older systems (16, 31 Dec 2007)
* properly enumerate times in excess of 99:59:59 (11 Dec 2007)
* update and correct German translations (10 Dec 2007)
* fix formatting again for faxInfo (10 Dec 2007)
* add PollLockPokeModem feature (6 Dec 2007)

(5.2.0)

* fix faxmail job submission when using a coverpage and the 
  subject line is wrapped to more than one line (5 Dec 2007)
* add "notify" feature to JobControl (4 Dec 2007)
* fix build error on SCO OSR6.0.0 due to man changes in 5.1.12 (2 Dec 2007)
* sort hfaxd output (2 Dec 2007)
* fix formatting for faxInfo (29 Nov 2007)

(5.1.12)

* numerous internationalization fixes in notify, faxrcvd, pollrcvd (28 Nov 2007)
* don't parse JobControl stderr output (27 Nov 2007)
* cleanup client FIFO file when client disconnects not from 
  root directory (26 Nov 2007)
* add TagLineLocale modem configuration option and corresponding
  tagtest feature for using UTF-8 font and format (23 Nov 2007)
* fix build error with Mac OS X Leopard (darwin9) (20 Nov 2007)
* change time format to always include hours (15 Nov 2007)

(5.1.11)

* add RECV_DATA_CONVERSION feature to faxrcvd/FaxDispatch to convert
  JBIG faxes to MMR in the recvq (8 Nov 2007)
* add "quiet" option to dialtest (8 Nov 2007)
* support SHIELDED_DTMF on more kinds of modems (7 Nov 2007)
* convert TIFF to JBIG before encoding them as a received-fax attachment (5 Nov 2007)
* fix occassional incorrect EOFB formatting on MMR sending (3 Nov 2007)
* add PassiveMode support to all client programs (31 Oct 2007)
* fix and improve faxinfo data format descriptions when FAXDCS 
  and FAXRECVPARAMS are both unavailable in the TIFF (31 Oct 2007)
* improve clean up temporary files in faxaddmodem/faxsetup/probemodem (27, 31 Oct 2007)
* add Chinese mail translation (26 Oct 2007)
* handle parsing of Class 2 subparameters when the modem supports JP but
  sometimes does not show it (26 Oct 2007)
* add faxcover -M from-mail-address option (23 Oct 2007)
* extend UNSENT queue accounting (18 Oct 2007)
* fix time limit on potential looping tring to receive a frame (18 Oct 2007)
* wait for OK in Class 2 after +FHS (17 Oct 2007)
* make "regarding" available to notify (16 Oct 2007)
* correctly update nocountcover from faxsend (15 Oct 2007)

(5.1.10)

* fix parseQFile function in common-functions (11 Oct 2007)

(5.1.9)

* correct bitorder of Class 2 JBIG sending (10 Oct 2007)
* prevent 'sendfax -vv' from truncating job params (10 Oct 2007)
* add "serverdocover" job parameter feature and support (9, 10 Oct 2007)
* add SaveRawImage configuration option for debugging use (9 Oct 2007)
* handle echo of MCF in non-ECM reception (5 Oct 2007)
* fix Class 1 protocol when MaxRecvPages is exceeded (5 Oct 2007)
* put a time limit on potential looping tring to receive a frame (4 Oct 2007)
* add default prototype support for Mainpine IQ modems (3 Oct 2007)
* output an error message from faxmail if a part is discarded (1 Oct 2007)
* attempt send training at least three times (1 Oct 2007)
* fix (maintain) pagination when continuation cover pages are used, and 
  add "nocountcover" job parameter to prevent paginating the cover (26 Sep 2007)
* fix support for full-path device names (25 Sep, 2 Oct 2007)
* add "skippages" and "skippedpages" job parameter features and support
  for indicating them in sendfax via the "-O" command-line option (22 Sep 2007)
* add a "canonical" line to sendq and doneq files (19 Sep, 1 Oct 2007)
* permit easy localization/customization of error messages in mail (19 Sep 2007)
* further improve ECM synchronization timeout handling (17 Sep 2007)
* further fix faxmail comment parsing, and only parse MIME-Version (14 Sep 2007)
* if a sender transmits PPS for a block already confirmed, reconfirm it (10 Sep 2007)
* in Class 1 ECM sending don't train down on CTC if we are adequately
  progressing (9 Sep 2007)
* fix faxmail's octet-stream MIMEConverters for TIFF and PDF (5 Sep 2007)
* be more resiliant in post-page message reception (4 Sep 2007)
* move wedged use of FaxDispatch to FaxWedged (3 Sep 2007)
* add RecvqProtection for hfaxd (3 Sep 2007)
* enable functionality of X-Fax-To header for faxmail (1 Sep 2007)
* properly handle timeout waiting for Phase C carrier drop in Class 1 ECM (31 Aug 2007)
* improve handling of CFR in Class 1 Phase C (30 Aug 2007)
* handle NO CARRIER in leiu of OK after transmitting data (30 Aug 2007)

(5.1.8)

* add Class1TCFMinRunECMMod config file option (27 Aug 2007)
* extend timeout for initial ECM frame synchronization (24 Aug 2007)
* update "lastMCF" timer when we have to repeat ourselves (24 Aug 2007)
* add ModemNoAutoAnswerCmdDelay modem configuration option (23 Aug 2007)
* handle an echoed CTR signal (22 Aug 2007)
* add MinAcceptedLineCount configuration feature, default to 10 (22 Aug 2007)
* properly use quoted-printable and RFC2047 Subject header in mails (21-24 Aug 2007)
* make faxmail trim whitespace from the ends of header lines (20 Aug 2007)
* add senderHasV17Trouble, senderSkipsV29 info file entries, and use them
  in Class 1 reception to discriminate V.17 availability (17 Aug 2007)
* add CallIDType "calling-number" to be able to associate a CallIDPattern
  match with info file entries (17 Aug 2007)
* correct numerous manpage typographical errors (15 Aug 2007)
* handle the echo of FTT or CFR better in Class 1 receive (14 Aug 2007)
* stop fast looping in Class 1 ECM receive when AT_EMPTYLINE occurs (11 Aug 2007)
* DLE+ETX after dialing is noise, ignore it (9, 11, 21 Aug 2007)
* support libtiff 3.9 (6 Aug 2007)
* handle CRP at Phase C reception (4 Aug 2007)
* don't get stuck on repeated BUSY messages from the modem (3 Aug 2007)

(5.1.7)

* if modem doesn't respond to answer command, try again (2 Aug 2007)
* fix units error in ModemAnswerResponseTimeout usage (2 Aug 2007)
* fix MIMEConverters broken in 5.1.6 (31 Jul 2007)
* extend Class1HookSensitivity application (24 Jul 2007)
* fix Class2RTFCC broken in 5.1.0 (24 Jul 2007)
* use configure-set PATH_AFM in faxsetup (23 Jul 2007)
* add INSTALLROOT configure option (21, 23 Jul 2007)
* adjust timing of Class 1 DCN reception to improve hearing it (21 Jul 2007)

(5.1.6)

* add Class1HookSensitivity modem config option (19 Jul 2007)
* various modifications, aka improvements, to the way the Linux DSO
  is built and used (12, 16-18 Jul 2007)
* put faxmail MIMEConverters in LIBDIR instead of SBIN (12 Jul 2007)
* support MultiTech Class 2.0/2.1 +FDB=1 extended debugging (5, 10, 19 Jul 2007)
* fix QualifyTSI, etc., broken by TSIRecvdCmd (25 Jun 2007)
* improve handling of DCN received in Phase B (25 Jun 2007)
* fix Class 2 EOFB bit order when ModemSendFillOrder is LSB2MSB (23 Jun 2007)

(5.1.5)

* add -u (user) and -U (pass:admin) options to faxalter (21 Jun 2007)
* allow FAXUSER to be set to a non-system account name (21 Jun 2007)
* account (xferfaxlog, FaxAccounting) for killed jobs as well (19 Jun 2007)
* add password option to faxmail -u parameter (15 Jun 2007)
* add -o login option to faxstat (11 Jun 2007)
* add TSIRecvdCmd feature to screen calls based on TSI (6 Jun 2007)
* add -u (user) and -p (pass:admin) options to faxrm (25 May 2007)
* make tiffcheck agree with faxsend on page length restrictions (24 May 2007)

(5.1.4)

* add typerules "istring" support (14 May 2007)
* add faxmail -S tsi option (10 May 2007)
* improve handling of CRP when in Phase B receiving (9 May 2007)
* don't release a modem when job preparation fails and there are other
  jobs in the batch needing the modem (8 May 2007)
* ignore DIS when in Phase B receiving - it's likely echo (7 May 2007)
* add faxq 'Z' FIFO message for debugging use (4 May 2007)
* make faxq squeaky clean with valgrind --tool=memcheck (4 May 2007)
* tolerate non-zero data in TCF when we have an uninterrupted 1.5 
  seconds of zero data (4 May 2007)
* add Class1MRSupport and Class1MMRSupport config options (2 May 2007)
* change Class1TCFRecvHack to Class1TCFRecvHackCmd (2 May 2006)
* document EGettyArgs, document and enhance CallID support for gettys,
  and fix issues with egetty usage (24, 26 Apr 2007)
* fix variable timeouts in Class 1 from behaving badly (20 Apr 2007)

(5.1.3)

* socklen_t adjustments for HP-UX 11 (17 Apr 2007)
* add errorcodes to all error status notices, put it into the q-file
  and provide a way for clients to query for it (17 Apr 2007)
* never send RTN in Class 1 after a null-page was received (16 Apr 2007)
* fix potential faxgetty crash in switchingPause (14 Apr 2007)
* add Class1HasRHConnectBug workaround option (12 Apr 2007)
* improve faxq behavior when MaxBatchJobs=1 (10 Apr 2007)
* add faxalter -C command option (6 Apr 2007)
* add hfaxd JPARM TIMEOFDAY client option, associated job support, 
  and also expand sendfax -a syntax to include it (6 Apr 2007)
* add "owner:pass" syntax for 'sendfax -o' option (29 Mar, 6 Apr 2007)

(5.1.2)

* fix hfaxd local time display due to DST (21 Mar 2007)
* fix a couple of Trigger problems (21 Mar 2007)
* add faxmail -C option to set coverpage template file (20 Mar 2007)
* quote input and output filenames in default typerules (19-20 Mar 2007)
* add faxmail -t option to set notification options (19 Mar 2007)
* add Turkish dictionary translations (15 Mar 2007)
* fix previous pre-CRP wait implementation (14 Mar 2007)
* add faxmail -T option to disable formatting of text parts (13, 14 Mar 2007)
* add support for John Walker's "base64" encoder (13 Mar 2007)
* add a, c, C, g, G, I, S, v, and V options for tagline (9 Mar 2007)
* add AuditHook config option (9 Mar 2007)
* add Class1ModemHasDLEBug config option (8 Mar 2007)

(5.1.1)

* prevent dead jobs from being run anyway and don't let job sending
  delays adjust killtime, either (8 Mar 2007)
* properly add UNSENT records and update q-file status when a
  sending job that times out also fails (8 Mar 2007)
* add modemused doneq/sendq item for use in notify (7 Mar 2007)
* add Class2DisableV17Cmd config option (6 Mar 2007)
* fix Class 1 DCS in sending of 300 x 300 dpi image (5 Mar 2007)
* allow job to disable V.34 in Class 2 driver (5 Mar 2007)
* improve "modem echoes dialed number" handling (5 Mar 2007)
* attempt to improve reception when there is bad echo (5 Mar 2007)
* wait longer before sending CRP (3 Mar 2007)
* add Duxbury/IP568x modem prototype config file (2 Mar 2007)
* prevent faxq usage of traceServer from crashing (28 Feb 2007)
* support FILETYPE and RETURNFILETYPE to be multiple (28 Feb 2007)
* add a one-second when sending before hanging up to help the
  audio get through (28 Feb 2007)
* fix faxinfo for JPEG when FAXDCS is not present (27 Feb 2007)

(5.1.0)

* add Class 2.0/2.1 JPEG (color) support (21 Feb 2007)
* fix MR reception for some Class 2 modems that indicate MR
  with DF=2 (16 Feb 2007)
* add Class 2.0/2.1 JBIG support (15 Feb 2007)
* make faxrm produce a meaningful exit code (12 Feb 2007)
* prevent backwards jumps in time, i.e. clock adjustement, from 
  stalling or crashing faxq (12 Feb 2007)
* prevent picking up again on the receiver's MCF signal when
  re-entering Phase B in a batch (9 Feb 2007)
* fix premature disconnection in Class 2 reception (9 Feb 2007)
* fix messy faxstatus entries in notify messages (6 Feb 2007)
* add 'make uninstall' option (6 Feb 2007)
* make faxinfo exit status meaningful (5 Feb 2007)
* add faxstat -q "show sequence numbers" feature (29 Jan 2007)
* allow authenticated clients access to seqf files (29 Jan 2007)
* fix logging of FAXNumber in "SESSION BEGIN" line (29 Jan 2007)
* improve job.tts sync with req.tts (26 Jan 2007)

(5.0.4)

* extend "awaiting ECM synchronization" timeout (16 Jan 2007)
* log correctly when a receiver DIS indicates no V.8 bit but
  V.8 was already known to have succeeded (11 Jan 2007)
* change default SessionTracing to 0xFFF (11 Jan 2007)
* don't clobber tiffcp exit code data in tiff2fax (9 Jan 2007)
* change #include config file feature to be uniform colon-delimited
  format like other config options (5 Jan 2007)
* fix blocked jobs from getting ignored (5 Jan 2007)
* fix DesiredEC support in sendfax.conf (3 Jan 2007)
* add hfaxd JPARM ECMTYPE option (3 Jan 2007)
* use DLE+ETX in resetting more carefully, sparingly (2 Jan 2007)
* add Class1PageWidthSupport modem config option (2 Jan 2007)

(5.0.3)

* properly handle multipart MIME messages in faxmail (1 Jan 2007)
* add faxmail -N "formatEnvHeaders" option (1 Jan 2007)
* make faxmail support CR+LF mail messages (1 Jan 2007)
* add default faxmail MIMEConverters for PDF and TIFF (1 Jan 2007)
* if tcsetattr fails to change the parity keep our settings correct (26 Dec 2006)
* handle MPS/EOP/EOM/CRP when expecting DCS, i.e. after RTN (21 Dec 2006)
* change all fixed /bin/sh shebang references to SCRIPT_SH (19 Dec 2006)

(5.0.2)

* prevent an unspecified external number from causing the first number
  in a job group from being used with other jobs (12 Dec 2006)
* pad LocalIdentifier in Class 2 to keep the modem from filling the
  void with garbage (8 Dec 2006)
* increase the wait time for AT+FCLASS=? response (7 Dec 2006)
* fix largely dysfunctional PAM support (6 Dec 2006)
* fix and improve JobControl application of DesiredDF (1 Dec 2006)
* change shell command quoting to prevent double-quotes problem (24 Nov 2006)

(5.0.1)

* prevent faxq from failing an assert over mishandling a job list (21 Nov 2006)
* fix faxqclean to remove hard links (used in job groups)
  appropriately (21 Nov 2006)
* rework faxqclean fix to also work with coverpages as previously
  named (20 Nov 2006)
* enable sendfax to submit job "groups" with a groupid (18 Nov 2006)
* add "Priority" JobControl option feature to modify job priority (17 Nov 2006)
* again, fix faxqclean from removing referenced cover pages (15 Nov 2006)
* add #include feature for config files (13 Nov 2006)
* fix some errors with PDF page counting (10 Nov 2006)
* improve ECM HDLC frame decoder to recover more quickly from data
  corruption and possibly find frames where it couldn't before (6 Nov 2006)
* add default config support for "Agere OCM V.92" modems (5 Nov 2006)
* fix hfaxd XferFaxLog option name to agree with documentation (5 Nov 2006)
* add more intelligence to the Class 1 receiver in sending RTN (3 Nov 2006)

(5.0.0)

* add %d option for ModemDialCmd, allows t38modem to set the 
  origin number (31 Oct 2006)
* add logging for instances where a sender transmits PPS again
  after our fourth PPR signal (30 Oct 2006)
* improve sender-side RNR/RR flow control interaction (28 Oct 2006)
* add CallIDRecord to prevent CallID from being stored in the
  image file (27 Oct 2006)
* apply CallIDDisplay to faxinfo output (27 Oct 2006)
* add "jobinfo" field to xferfaxlog (25 Oct 2006)
* add CallIDDisplay and CallIDLabel to modify how CallID presentation
  is made in the modem status line (20 Oct 2006)
* Use old style lock files for OpenServer 6 (20 Oct 2006)
* simplify pollrcvd for easier customization (19 Oct 2006)
* add CallID data to receiving modem status string (19 Oct 2006)
* add non-ready ModemReadyState to modem status string (19 Oct 2006)
* simplify notify for easier customization (19 Oct 2006)
* change observable job state at pending tts expiry (17 Oct 2006)
* simplify faxrcvd for easier customization (12 Oct 2006)
* enable Solaris DSOs again (12 Oct 2006)
* add ModemReadyState "E" feature option (4, 6 Oct 2006)
* get rid of old notify-4.1 script (3 Oct 2006)

(4.3.0.12)

* fix faxqclean from removing referenced coverpages (2 Oct 2006)
* give more clear typerules error messages (28 Sep 2006)
* in faxsetup don't delete TMPDIR before it's created (28 Sep 2006)
* add Romanian dictionary translations (27 Sep 2006)
* accept whitespace in hfaxd passwords and usernames (27 Sep 2006)
* add prototype support for Apple/Motorola USB Modem (26 Sep 2006)
* configure properly for HP-UX 11.11 (20 Sep 2006)
* restart Class 1 TCF reception timer after zeros start (20 Sep 2006)

(4.3.0.11)

* fix bad_alloc RE.c++ error on PPC (15 Sep 2006)
* handle +FHNG/+FNG after AT+FDT in Class 2 (14 Sep 2006)
* improve modem resetting for modems stuck in transmit (12 Sep 2006)
* fix cosmetic logging problem when sending to a receiver that signals
  support for V.8 handshaking but not ECM (12 Sep 2006)
* show cover pages in file listings (11 Sep 2006)
* close JobControl pipe when done with it (11 Sep 2006)
* unset O_NONBLOCK on FIFOs (11 Sep 2006)
* simplify Class1SwitchingCmd code and prevent duplication of the
  command in-session (7 Sep 2006)

(4.3.0.10)

* fix V.34 Class 1 reception error due to error in calculated waiter (29 Aug 2006)
* fix JobControl from stalling faxq (29 Aug 2006)
* restrict the usage of sending EOR, even when using MH and MR (26 Aug 2006)

(4.3.0.9)

* fix lastCall initialization preventing misfiring staggerCalls (25 Aug 2006)
* add support for gmime-uuencode (17 Aug 2006)

(4.3.0.8)

* add faxstat -n option (11 Aug 2006)
* add signal blocking to faxq to avoid job alterations while
  iterating through job lists (11 Aug 2006)
* change many exit() calls with _exit() (9 Aug 2006)
* replace Class1TrainingRecovery with Class1SwitchingCmd (7 Aug 2006)
* calculate PPM/PPS waiter instead of using T1 (29 Jul 2006)
* fix a potential faxsend hang on training failure when the modem
  is not supporting V.27ter (28 Jul 2006)
* add IAXmodem DTMF detection tolerance (27 Jul 2006)
* improve handling when receving in Class 1 when prologue frames fail
  after EOM (27 Jul 2006)
* fix error of forgotten faxgetty child processes occuring when sender
  performs flawed ECM protocol (26 Jul 2006)

(4.3.0.7)

* flush modem input after NO CARRIER result in Class 1 Phase C send (20 Jul 2006)
* unify and simplify FCF tracing routines (18 Jul 2006)
* don't wait Class1TrainingRecovery when CRP was received (13 Jul 2006)
* fix error of sending a block twice, empty the 2nd time (13 Jul 2006)
* don't trigger hasV17Trouble for pages other than the first (13 Jul 2006)
* set O_NONBLOCK on FIFOs (12 Jul 2006)
* fix race condition in faxq JobControl exit detection (12 Jul 2006)
* don't skip initial NSF bytes in station ID search when no
  known T.35 manufacturer ID was used (12 Jul 2006)

(4.3.0.6)

* fix hfaxd %d "data format" presentation (8 Jul 2006)
* slow down fast looping in +FRH=3/+FCERROR loop (30 Jun 2006)
* return 'faxinfo -n' to its traditional behavior (29 Jun 2006)
* fix error of accepting too-short of DCS signal (29 Jun 2006)
* handle instances where ECM is negotiated but the sender
  transmits non-ECM data and signalling (29 Jun 2006)
* undo dictionary quoted-printable encoding (28 Jun 2006)

(4.3.0.5)

* handle +FCERROR after most +FRH=3 commands (26 Jun 2006)
* stop using CRP in Phase D in Class 1 sending (26 Jun 2006)
* improve error-handling and add return values to faxalter (23 Jun 2006)
* add and enhance faxinfo output format options (23 Jun 2006)
* add faxq StaggerCalls feature (22 Jun 2006)
* disable DSO on Solaris by default (22 Jun 2006)
* fix non-DSO build on Solaris 8 (21 Jun 2006)
* support some data format presentation changes in new
  MultiTech modem firmware (17 Jun 2006)
* fix Class 2 data format parsing of +FIS response (16 Jun 2006)
* fix faxaddmodem config parsing (16 Jun 2006)
* improve the modem handling of user aborts in 
  Class 1 sending (14 Jun 2006)
* fix an "Interrupted job timed out" assertion error (14 Jun 2006)

(4.3.0.4)

* improve recovery after Class 1 TCF receipt times out (14 Jun 2006)
* document LANG in faxrcvd, notify, pollrcvd man pages (11 Jun 2006)
* fix faxmail multipart mail handling (10 Jun 2006)
* add jobcount to xferfaxstats output (10 Jun 2006)
* fix timeout on AT command sending to modem (8 Jun 2006)
* add hfaxd JobProtection config option (5 Jun 2006)
* add Class1PageLengthSupport config option (5 Jun 2006)
* improve faxalter and in particular resubmission (2 Jun 2006)
* make shell code ands and ors be POSIX compliant (2 Jun 2006)
* fix potential faxgetty loop due to bogus JBIG marker (1 Jun 2006)
* improve french translation (1 Jun 2006)
* add continuation support to FaxClient in libfaxutil (1 Jun 2006)
* add UseJobTagline config option (29 May 2006)
* move CHARSET declaration to dictionary, encode non-ASCII
  dictionary characters into quoted-printable (26 May 2006)
* more consolidation into common-functions (26 May 2006)

(4.3.0.3)

* add ModemSetOriginCmd config option, FAXNAME job parameter, 
  and -e "name" and -u "number" sendfax options (23 May 2006)
* fix child process exit race in the dispatcher (16 May 2006)
* add faxalter "-r" (resubmit) feature (12 May 2006)
* add BadPageHandlingMethod feature, and use default of
  RTN-SAVE, which is a different behavior than before (4 May 2006)

(4.3.0.2)

* fix a potential stalled run queue (1 May 2006)
* fix a potential hang in JobControl parsing (1 May 2006)
* fix a typo dealing with the dictionary in notify (1 May 2006)
* when dealing with JBIG/JPEG send PPR if we detect no frames
  received but we're still missing the last frame (27 Apr 2006)

(4.3.0.1)

* change Class 1 ECM sending behavior when retransmitting a single
  frame to avoid triggering problems on some receivers (20 Apr 2006)
* fix variable naming collission in faxd/Trigger.c++ (19 Apr 2006)
* fix send buffer when transmitting non-ECM data with a non-zero
  scanline-time value (18 Apr 2006)
* improve error handling in faxaddmodem -nointeractive (18 Apr 2006)
* fix a lot of compile warnings (18 Apr 2006)

(4.2.5.6)

* fix incorrect hfaxd SENDTIME and SNPP parsing when local time 
  was in daylight time (13 Apr 2006)
* fix batching from sleep queue to limit to MaxBatchJobs (11, 21 Apr 2006)
* add -nointeractive option to faxsetup, faxaddmodem (28 Mar 2006)
* fix faxgetty hang in ECM due to missing timeouts (13 Mar 2006)

(4.2.5.5)

* improve and extend JPEG parsing (8 Mar 2006)
* fix indicator when 100% non-zero TCF data is received (1 Mar 2006)
* correct CIELAB to be ITULAB (28 Feb 2006)

(4.2.5.4)

* do Class1SwitchingCmd before sending MCF after PPS-NULL (16 Feb 2006)
* on TCF retransmissions don't fallback to V.17 9600 or
  V.17 7200 as it's only likely to be more problematic (16 Feb 2006)
* replace Class1SendMsgDelay with Class1SwitchingCmd (15 Feb 2006)
* compensate for sender who send 1728 pixel width data
  when they signal another size in DCS (7 Feb, 3 Mar 2006)
* compensate for senders who send MMR, JBIG, or JPEG without
  signalling ECM (6 Feb 2006)

(4.2.5.2)

* don't use tiffcp "-r" option on JBIG TIFFs (30 Jan 2006)
* remove HTML from configure also (30 Jan 2006)
* fix a potential faxgetty hang due to misuse of 
  waitpid (26 Jan 2006)

(4.2.4.2)

* enable and fix Solaris DSO (5 Jan 2006)
* fix SHIELDED_DTMF to work per IS-101 (4 Jan 2006)

(4.2.3.2)

* add support for etc/FaxAccounting database hook (15 Nov 2005)
* add SUBMIT xferfaxlog records upon job submission (15 Nov 2005)

(4.2.3.1)

* improve useability of SHIELDED_DTMF functions (11 Nov 2005)
* add "play" option for modem config commands for voice (11 Nov 2005)


Changelog for HylaFAX 4.3.0

* fix hfaxd ouput error when a queried job file is moved (5 May 2006)
* fix TIFF FAXDCS tag encoding in Class 2 reception (1 May 2006)
* change "Job aborted" to "Call aborted" and thereby fix a problem
  with the lead job in a batch being marked as failed if a batched
  job is aborted (24 Apr 2006)
* fix batching to check modem selection before batching (24 Apr 2006)
* undo modem I/O flush on receptions before sending any data (24 Apr 2006)
* replace DestControls with JobControl feature (20, 25 Apr 2006)
* fix encoding of quoted-printable text (14 Apr 2006)
* fix subaddress sending with sendfax (14 Apr 2006)
* improve the decoding of corrupt MMR image data (14 Apr 2006)
* fix incorrect hfaxd time calculations when local time was
  in daylight time (12 Apr 2006)
* update config.guess and config.sub (29 Mar 2006)
* fix batch sending of page jobs (23 Mar 2006)
* add German NSFs and correct HylaFAX NSF bit order (21 Mar 2006)
* flush modem I/O on receptions before sending any data (21 Mar 2006)
* remove QualifyCID in lieu of DynamicConfig RejectCall (15 Mar 2006)
* extend timeout in V.21 HDLC frame reception to T2 (14, 23 Mar 2006)
* fix parsing error in DICTDOCSTEXT4 (10 Mar 2006)
* set minimum V.34 constrain threshold to 4800 bps (6 Mar 2006)
* improve the reaction to a V.34 control channel retrain (6 Mar 2006)
* fix SNPP login reply to say 250 instead of 230 (3, 27 Mar 2006)
* use TZ environment variable instead of etc/localtime (3, 29 Mar 2006)
* fix %1z RcvFmt output (3 Mar 2006)
* expand Class1JBIGSupport to allow for differentiation
  between full, none, send, and receive support (2 Mar 2006)
* add iaxmodem prototype config file (20 Feb 2006)
* add linux-isdn-2 prototype config file (16 Mar 2006)
* fix buffer overrun in NSF parsing (14 Feb 2006)
* fix incorrect "Fax protocol error" in ECM mode (8 Feb 2006)
* ignore MESSAGE-WAITING after dial (3 Feb 2006)
* fix problem with blocked jobs not unblocking (2 Feb 2006)
* fix hfaxd to recognize JBIG and JPEG faxes (1 Feb 2006)
* fix EOFB on the end of MMR images, which should address
  a variety of sending issues related with MMR data (28, 30 Jan 2006)
* fix a rare segfault in Class 1 receiving when, for example,
  CTC is received instead of PPS (25 Jan 2006)
* add support for libtiff-3.8 (17 Jan 2006)
* add Polish dictionary translations (17 Jan 2006)
* add French dictionary translations (17 Jan 2006)
* add Italian dictionary translations (11 Jan, 26 Apr 2006)
* add job owner feature to DestControls (11 Jan 2006)
* copy localtime to the etc spool directory for hfaxd
  to resolve time issues on some systems (11 Jan 2006)
* improve German, Portuguese, and Spanish translations (9 Jan 2006)
* fix formatting of e-mails (9 Jan 2006)
* add dictionary for notify, faxrcvd, and pollrcvd
  internationalization support (6 Jan 2006)
* fix build for SUNWSpro (5 Jan 2006)
* fix configure in vsnprintf detection (21 Dec 2005)
* use PDF in q-files when appropriate (20-21 Dec 2005)
* fix rare occassion where TCF fails following an unexpected
  receipt of prologue frames (7 Dec 2005, 9 Jan 2006)
* use To-Company and To-Name coverpage entries in the notification
  message if they are available to use (12 Nov 2005)
* add CHARSET config option for mailing scripts (12 Nov 2005)
* disable usage of AT+FRS in USR prototype config (11 Nov 2005)

Changelog for HylaFAX 4.2.5

* remove echo -e calls from notify for portability (11 Jan 2006)
* add prototype config for Digicom Leonardo modem (11 Jan 2006)
* fix faxadduser from segfaulting on AMD64 (7 Jan 2006)
* fix faxrcvd CALLID assignment error on some shells (7 Jan 2006)
* fix notify awk error due to comments (6 Jan 2006)

Changelog for HylaFAX 4.2.4

* CVE-2005-3539: Fix for faxrcvd/notify script vulnerabilites
  (4 Jan 2004)
* CVE-2005-3538: fix possible hfaxd login vulnerability due
  to PAM library absence during build (15 Dec 2005)
* fix a Solaris compile error due to PAM_CONV_AGAIN (15 Dec 2005)
* all Mainpine boards no longer identified as the DUO+
  2-port model (15 Dec 2005)
* fix Solaris 9 compile error due to PAM (15 Dec 2005)
* don't lock-down pagingProtocol by default (29 Nov 2005)
* fix minor memory leak (29 Nov 2005)
* fix for clients specifying TZONE LOCAL/GMT and using %Y for
  JobFmt and RcvFmt (29 Nov 2005)
* prevent some faxgetty hangs in Phase C EOL sync (11, 16 Nov 2005)
* update hfaxd 'site adduser' functionality (11 Nov 2005)
* add EOT/disconnection detection following fax dialing (11 Nov 2005)

Changelog for HylaFAX 4.2.3

* fix clients to accept 1yz preliminary reponse on connection
  according to RFC959 (8 Nov 2005)
* fix trap usage and exit status for some scripts (31 Oct 2005)
* fix cover page deletion problem (27 Oct 2005)
* don't increment internal page count when an unexpected signal
  is received in place of PPS (21 Oct 2005)
* replace Class1TCFResponseDelay with Class1SwitchingCmd (20 Oct 2005)
* disable client programs from looking for UNIX socket
  when the CONFIG_UNIXTRANSPORT is not enabled (20 Oct 2005)
* improve security technique when creating temporary files (20 Oct 2005)
* fix CallID problems by initializing answer lengths (29 Sep 2005)
* fix sendfax to allow "#" in the to-name (27 Sep 2005)
* clean up page sizes and signalling (27 Sep 2005)
* improve logging when a document is rejected (27 Sep 2005)
* delay blocked jobs on failure (27 Sep 2005)
* batch sleeping jobs too (27 Sep 2005)
* fix and improve copy quality correction (27 Sep 2005)
* fix PAM support for non-passworded authentication (27 Sep 2005)
* add comments for enscript typerules entry (27 Sep 2005)
* document JobFmt Y option (27 Sep 2005)
* improve JDELE hfaxd handling (27 Sep 2005)
* be more informative with /dev/null errors (27 Sep 2005)
* don't place a call if there are no documents (27 Sep 2005)
* make hfaxd clean up after itself (27 Sep 2005)
* add xferfaxlog accounting for jobs that time out (27 Sep 2005)
* add a job abort notification message (27 Sep 2005)
* requeue batches together (27 Sep 2005)
* add IXO/TAP page batching (27 Sep 2005)
* fix Class 1 handling of EOM in pagehandling (27 Sep 2005)
* improve dataformat reporting and handling (27 Sep 2005)
* add JBIG send support (27 Sep 2005)
* add hasV17Trouble detection on sending (27 Sep 2005)
* improve NSF station ID detection (27 Sep 2005)
* session logging improvements (27 Sep 2005)
* add Retransmit-Ignore RTNHandlingMethod (27 Sep 2005)

Changelog for HylaFAX 4.2.2

* fix error of confirming an ECM block missing frames other
  than the last frame when a null block is received (16 Sep 2005)
* fix error of tiffcheck missing needed reformatting (17 Aug 2005)
* add workaround for a bug in recent versions of gawk (15 Aug 2005)
* fix send error causing ECM data to not get sent (15 Aug 2005)
* homogenize default user id for user files (9 Aug 2005)
* remove deprecated cuserid (8 Aug 2005)
* fix some problems with sender notifications (5 Aug 2005)
* fix problem with PAM authentication features (2 Aug 2005)
* fix potential hang on reading data from modem (30 Jul 2005)
* fix potential hang on detecting an ECM block end (29 Jul 2005)
* fix job batches to properly release modems (26 Jul 2005)
* fix build error with Mac OS X 10.4 (26 Jul 2005)
* fix sendfax crash with verbose output (25, 29 Jul 2005)
* fix a race with scheduled jobs to allow for coordinated
  batch sending (25 Jul, 10 Aug 2005)
* fix some error conditions with JBIG and JPEG reception (25 Jul 2005)
* improve probemodem results for some modems (16 Jul 2005)
* correct cover sheet page count for some PDFs (14 Jul 2005)
* fix job blocking (concurrent call) handling, especially
  as dealing with batches (13 Jul 2003)
* fix job modifications on batched, running jobs (13 Jul 2005)
* throttle faxq from running the scheduler more than once per
  second in order to keep faxq from eating up CPU (11, 21 Jul 2005)
* fix job preparation failures in batches from causing faxq list
  corruption which would trigger faxq failure and worse (11 Jul 2005)
* fix the abortion of the lead job in a batch from causing
  all other jobs in the batch to also abort (11, 15 Jul 2005)
* restrict MaxBatchJobs to 64 in order to prevent command-line
  parameters from causing faxsend invocation errors (11 Jul 2005)
* fix ECM frame data from being overwritten by corrupt frames later
  (11 Jul 2005)
* fix a faxq crash involving job alteration (4 Jul 2005)
* fix error of a pipe file descriptors not being closed (15 Jun 2005)
* fix error in not employing Class1SwitchingCmd before sending
  prologue frames (15 Jun 2005)
* adjust configure for AIX 5 (14 Jun 2005)
* handle CRP sent as PPS (8 Jun 2005)
* fix segfault when resetting a received TIFF page (8 Jun 2005)
* update symbolic links to the Linux DSOs on upgrades (7 Jun 2005)
* extend PAM support to OpenPAM variants (6 Jun 2005)
* send PPR instead of DCN when an empty block is received (1 Jun 2005)
* fix some dysfunctional mail redirects (30 May 2005)
* don't save null-data pages (26 May, 6 Jun 2005)
* Add support for OpenServer 6 (24 May 2005)
* update config.guess and config.sub to current versions (24 May 2005)
* add Rockwell/Conexant Class 1.0 prototype config (18 May 2005)
* fix configure and faxsetup for espgs (16 May 2005)
* fix potential looping in Class 1 protocol flow control 
  mechanisms (11 May 2005)
* stop sendfax from passing comments to hfaxd due to
  problems with newlines (10 May 2005)
* fix PAM authentication to set proper UID (9 May 2005)
* add unlimited length option to image preparation scripts
  and add FaxModify customization support (9 May 2005)
* add UseJobTSI modem config option and FAXNUMBER and TSI
  queue file options (9 May 2005)
* break NoCarrierRetries into JobRetry* parameters (9 May 2005)
* add JPEG color fax receiving support - requires
  that libtiff and libjpeg be enhanced (6 May 2005)
* add PNG and JPEG to typerules (6 May 2005)
* add FaxModify hook for outbound image pre-processing (6 May 2005)
* improve the way that page transfer time, as stored in
  the received TIFF file is calculated (6 May 2005)
* add option in lucent-mt-10 prototype config file to
  work around a MainPine V.34-Fax problem (6 May 2005)
* add remoteNSF, remoteDIS to info files and return
  CSI and interpreted NSF with notify information (4 May 2005)
* improved disconnection detection (25, 26 Apr 2005)
* wait longer for partial-page signals (19 Apr 2005)
* adjust the timing of input buffering enabling (15 Apr 2005)
* fix dialtest problem when using parenthesis (1 Apr 2005)
* fix crash when using malformed format strings (1 Apr 2005)
* initialize frameCount for compilers that don't (1 Apr 2005)
* add last-page CRP reception support in Phase D (30 Mar 2005)
* handle TSI, DCS, and other signals when in ECM (29 Mar 2005)
* don't transmit DCN after getting EOT (24 Mar 2005)
* improve the usage of T4 and T2 timers throughout (23 Mar 2005)
* improve some error-handling scenarios (23 Mar 2005)
* improve identification of ECM blocks with zero frames (16 Mar 2005)
* fix potential error in ECM reception frame counting (16 Mar 2005)
* add CRP usage when message frames are received
  corrupt (14, 23 Mar 2005, 21 Jul 2005)
* add Class1RMPersistence, better ECM +FCERROR handling (14 Mar 2005)
* small fixes for compilation on AMD-64 (14 Mar 2005)
* fix a few timeouts in faxgetty (11 Mar 2005)
* add support for TIFFTAG_FAXDCS (5 Mar 2005)
* fix batching error in ECM to some receivers (5 Mar 2005)
* modify parsing of Class1EnableV34Cmd (5 Mar 2005)
* add configurable support for tiff2pdf from libtiff (2 Mar 2005)
* change the 2 s TCF timeout to use Class1TCFRecvTimeout (2 Mar 2005)
* handle PPS after 4th PPR (2 Mar 2005)
* fix potential error in counting of PPR signals (2 Mar 2005)
* handle EOT after PPS (28 Feb 2005)
* add Class1AdaptRecvCmd config option, AT+FAR=1 support, (28 Feb 2005)
* fix DCS scanline-time error when sending to systems without
  ECM supporting "mixed" scanline-times (24 Feb 2005)
* cause faxsend to log jobs in batches as separate commids (24 Feb 2005)
* change how faxsend is invoked for batches (24 Feb 2005)
* minor fix in notify for mawk (16 Feb 2005)
* fix a false V.34-Fax error message after FTT (16 Feb 2005)
* convert CIDName/CIDNumber to CallID (14 Feb 2005)
* add MaxBatchJobs config option (10 Feb, 26 Aug 2005)
* improve the way that external gettys are run
* fix some problems when decoding pipe fails in ECM
* ignore "echos" of the dialed number after dialing
* set Class1*WaitCmds in cirrus config to not use +FTS/+FRS
* improve default modem config file for Digi/Patton Class 1
* force the Class 2 driver to repeat the +FDIS command after EOM
* add FaxParams class and some utilization of it

Changelog for HylaFAX 4.2.1 - Jan 11, 2005

* fix CAN-2004-1182: hfaxd client/server authentication
  vulnerability (10 Jan 2005)
* fix possible filename race in tiff2pdf (10 Jan 2005)
* improve modern distinctive ring support, add
  NoAnswerVoice config feature, and enhance third-party
  getty interaction (1, 2 Jan 2005)
* add support for etc/resetmodem (30 Dec 2004)
* fix NOTIFY_FAXMASTER within notify (30 Dec 2004)
* improve tiff2pdf and use it more (29 Dec 2004)
* fix 300 dpi support for some receivers (28 Dec 2004)
* cause faxsetup to double-check and fix attachment encoding
  setup (27 Dec 2004)
* add uuencode support in pollrcvd (27 Dec 2004) 
* add support for base64-encode (27 Dec 2004)
* check strftime with arguments, gcc-3.3 fix (23 Dec 2004)
* initialize some variables in some scripts that may not
  be initialzed in setup.cache (23, 27 Dec 2004)
* remove need to have separate "fax" user (22 Dec 2004)
* fix parsing of AT+FCLASS=? response within faxaddmodem
  and probemodem (21 Dec 2004)
* improve multi-line handling within notify (20 Dec 2004)
* improve trap handling in faxaddmodem/probemodem (17 Dec 2004)
* fix hfaxd from rejecting jobs scheduled for the past while
  the killtime is still in the future (15 Dec 2004)
* drop ftp links from received notification e-mail (8 Dec 2004)
* fix dial-and-answer feature (2 Dec 2004)
* add NSF recognition for MFC-3100C (29 Nov 2004)
* fix Class 1 support for services "0,1.0" (26 Nov 2004)
* limit hfaxd jobs cache size (23 Nov 2004)
* fix hfaxd ABOR command and trigger (23 Nov 2004)
* fix error when hfaxd FIFO fills (23 Nov 2004)
* document -age option for recvstats/xferfaxstats (23 Nov 2004)
* add coversheet information into the q-file (23 Nov 2004)
* fix documentation regarding DesiredEC (23 Nov 2004)
* change minsp to minbr for consistency (23 Nov, 2 Dec 2004)
* fix hfaxd problem with file descriptors (23 Nov 2004)
* fix hfaxd from dying on ECONNABORTED (23 Nov 2004)
* add -fpic to DSO build for non-x86 Linux (23 Nov 2004)
* add CALL records to xferfaxlog and LogCalls config (16 Nov 2004)
* fix/implement desireddf in faxsend and faxq (29 Oct 2004)
* fix the filetype output for JPARM DOCUMENTS (14 Oct 2004)
* add SHIELDED_DTMF option for CIDNumber (7 Oct 2004)
* add Class1Resolutions, deprecate Class1ExtendedRes (20 Sep 2004)
* fix a bug in notify when the job is killed (15 Sep 2004)
* initialize supplementary groups when switching
  uid (13 Sep, 8 Dec 2004)
* fix faxsend to retrain after receiving RTP (9 Sep 2004)
* fix tiffcheck unit comparison error (1 Sep 2004)
* fix misconfirmation of some ECM faxes (30 Aug 2004)
* add fax batching support to faxq (30 Aug, 9 Sep 2004)
* ignore garbage after sending TCF data (26 Aug 2004)
* fix truncation of filenames in faxcron (26 Aug 2004)
* add configure support for libtiff 3.7 (25 Aug 2004)
* extend short send-HDLC timeouts (18 Aug 2004)
* add a pause after receiving MCF on non-ECM send sessions (18 Aug 2004)
* fix broken fax polling (17 Aug 2004)
* add several timing enhancements for stressed 
  servers (16 Aug, 10, 15 Sep, 14 Oct 2004)

Changelog for HylaFAX 4.2.0 - Aug 16, 2004

* resurrect 4.1.x notify as notify-4.1.sh for compatibility (16 Aug 2004)
* significant portability cleanups to new notify script (14 Aug 2004)
* fix font rendering at hyperfine resolution (13 Aug 2004)
* stop tiff2fax from using problematic symbolic links (11 Aug 2004)
* fix truncation of last byte on sent MMR data (09 Aug 2004)
* fix end of page signals and padding (23 Jul 2004)
* prevent internationalization from interfering with build (22 Jul 2004)
* restrict faxq to prepare only single-strip TIFF data (29 Jun 2004)
* only use normal and fine resolutions when not using XVRes (28 Jun 2004)
* limit fax retrains to allowed moments (28 Jun 2004)
* change DynamicLocalID to DynamicConfig (22 Jun 2004)
* fix V.17 fallbacks after the CTC/CTR exchange (21 Jun 2004)
* tune setting of -rpath when linking on linux (21 Jun 2004)
* add admin option and dialstring alteration to faxalter (20 Jun 2004)
* add -end option for xferfaxstats and recvstats (17 Jun 2004)
* add DynamicLocalID config option (17 Jun 2004)
* prevent CID values from acquiring data when unset (1 Jun 2004)
* add ModemReadyCmds config option (1 Jun 2004)
* improve and fix several no-modem-response timeouts (31 May 2004)
* fix an error in faxq when adding a job that had a no_formatter
  error to the sleep queue (31 May 2004)
* fix rare faxsend segfault in Class 1 scanline padding (27 May 2004)
* utilize DesiredBR to determine what modulation to use (24 May 2004)
* remove Class1EnableV34Cmd from modem initialization (22 May 2004)
* avoid V.29-to-V.17 fallback transitions (22 May 2004)
* fix send V.34-Fax cases where receiver reports no ECM (21 May 2004)
* add prototype support for Perle/MultiTech-SMI modems (21 May 2004)
* fix segfault with Class2RTFCC (21 May 2004)
* add V.34-Fax disconnection recognition during prologue (20 May 2004)
* add prototype support for Mainpine RockForceDUO+ (19, 21 May 2004)
* improve V.34-Fax session abortion handling (19 May 2004)
* add more prototype support for Courier V.Everything modems (19 May 2004)
* add '-l bindaddr' option to hfaxd (8 May 2004)
* fix build for 64-bit Linux (8 May 2004)
* fix error in clients when sender identity was whitespace only (8 May 2004)
* add recognition of blacklisted modem dialing responses (8 May 2004)
* impose a timeout on sending some commands to Class 2 modems (5 May 2004)
* improve COMMLOGS assignment in default archive script (04 May 2004)
* add prototype support for AboCom and another MultiTech (29 Apr 2004)
* fix faxaddmodem and probemodem to support locking devices
  in subdirectories (29 Apr 2004)
* extend timeout waiting for first flag in ECM synchronization (29 Apr 2004)
* fix frame-count indicator in PPS signal (28 Apr 2004)
* add PAM support to hfaxd (27 Apr 2004)
* handle repeated PPS, DCS, or EOR signals in V.34-Fax (26 Apr 2004)
* attempt to handle CTC signals from broken senders (26 Apr 2004)
* improved pagermap backreference error handling (22 Apr 2004)
* add batching support to faxsend (19 Apr, 9 Jun 2004)
* change MaxConcurrentJobs to MaxConcurrentCalls (19 Apr 2004)
* improve V.34-Fax renegotiations by dropping 4800 bps per step (12 Apr 2004)
* improve some V.34-Fax error logging and handling (12, 19 Apr 2004)
* remove bit 16 of DCS when sending MMR in Class 1 (12 Apr 2004)
* fix V.34-Fax renegotiation constraints (7 Apr 2004)
* change Class1ECMDoCTC into Class1PersistentECM and apply to V.34-Fax (6 Apr 2004)
* add owner field to xferfaxstats output (6 Apr 2004)
* add tiff2pdf, remove notify.awk, and add significant notify enhancements
  such as returning a copy of the faxed document (6, 17 Apr, 5 May 2004)
* add add WEDGED_EMAIL_INTERVAL and WEDGED_DISABLE_FAXGETTY options (6 Apr 2004)
* recognize BUSY as an answer response indicating disconnection (6 Apr 2004)
* add Class 1.0 and V.34-Fax/SuperG3 support (29, 30 Mar 2004)
* add "low" priority setting for sendfax (26 Mar 2004)
* add modem config prototype for t38modem (22 Mar 2004)
* fix CID*AnswerLength-based answering (22 Mar 2004)
* fix for Class 2.0/2.1 modems that respond OK to AT+FDT (22 Mar 2004)
* add ModemRingsBeforeResponse option (22 Mar 2004)
* extend ModemRingResponse to support AT+VRID (22 Mar 2004)
* add owner field in etc/xferfaxlog SEND entries (17 Mar 2004)
* add tab delimiting to etc/clientlog (17 Mar 2004)
* add VRes and UseXVRes options to DestControls (17 Mar 2004)
* fix rare bug modem configuration parsing routine (16 Mar 2004)
* reject pages with zero scan lines (16 Mar 2004)
* more recognition of unexpected returns to command-mode (16 Mar 2004)
* add usage of FAXUSER environment variable in clients (10 Mar 2004)
* add a timeout setting for HDLC frame sending (10 Mar 2004)
* add sendfax -o owner option (10 Mar 2004)
* fix faxq segfault on some converter errors (09 Mar 2004)
* add QualifyPWD and PWD checking support (04 Mar 2004)
* utilize and honor ECM frame size preference in Class 1 (04 Mar 2004)
* add Class2ECMType and correct Class 2 ECM support (04 Mar 2004)
* extend and unify queue file sequence numbering (28 Feb 2004)
* integrate Caller-ID support throughout all functions that
  similarly use TSI (28 Feb 2004)
* add CRP reception support to Class 1 ECM (27 Feb 2004)
* fix faxaddmodem Class selection for broken shells (18 Feb 2004)
* make all faxrcvd configurations FaxDispatch-available (18 Feb 2004)
* fix copy quality support for Class 2.0/2.1 (11 Feb 2004)
* send all AT commands to modem in upper case (11, 16 Feb 2004)
* extend B4 and A3 page-size resolution support (11 Feb 2004)
* improve faxinfo page-size recognition (11 Feb 2004)
* fix faxq preparation of A3 and banner faxes (11 Feb 2004)
* add ERRORSTO in faxrcvd and handle stderr from ps2pdf (11, 18 Feb 2004)
* fix saving of unconfirmed page with error after PPS-NULL (6 Feb 2004)
* fix modem initialization for modems that respond OK twice
  to ATZ (5 Feb 2004)
* keep RINGs from interfering with modem initialization (5 Feb 2004)
* fix tiff2fax for libtiff-3.5.7 broken tiffcp exit status (5 Feb 2004)
* fix the saving of B4-sized multi-strip TIFFs (03 Feb 2004)
* add FROMADDR option for FaxDispatch (31 Jan 2004)
* enhance the CTC fallback in Class 1 ECM to drop modulation
  protocol when no frames are received properly (31 Jan 2004)
* add fax-class runtime documentation to faxaddmodem (26 Jan 2004)
* increase ECM syncrhonization timeout for slow senders (26 Jan 2004)
* fix logging of PPM-DCN in Class 1 ECM receiving (12 Jan 2004)
* send RTN instead of DCN in Class 1 when no page received (8 Jan 2004)
* add Class1ExtendedRes config option (7 Jan 2004)
* make Class1ECMSupport and ModemSoftRTFCC default true (7 Jan 2004)
* make hfaxd reuse the TCP port when starting (16 Dec 2003)
* fix identification of V.17 7200 bps in Class 1 receiving (15 Dec 2003)
* add Class2UseLineCount config option (13 Dec 2003)
* fix xferfaxstats name mapping and change default (11 Dec 2003)  
* fix line counting error (11 Dec 2003)
* remove misleading bits from Class 1 DIS signal (10 Dec 2003)
* fix awk error in faxaddmodem (5 Dec 2003, 1 Jan 2004)
* add default config support for ZyXEL U90E (4 Dec 2003) 
* fix defined name collision with Mac OS X (1 Dec 2003) 
* add ModemSoftRTFCC (1 Dec 2003)
* image tag lines on MMR faxes (1 Dec 2003)
* fix doubling Caller ID information on double-RINGs (24 Nov 2003)
* fix potential faxgetty CPU loop (24 Nov 2003)
* rename various files for case insensitive filesystems (20 Nov 2003)
* remove superfluous bytes from Class 1 DCS (17 Nov 2003)
* fix format string vulnerability in hfaxd (10 Nov 2003)
* fix variable and function name collision with Solaris (10 Nov 2003)
* consolidate MemoryDecoder code (7 Nov, 1 Dec 2003)
* make faxq and faxgetty not block on various child processes (5 Nov 2003)
* prefer agetty over getty and enhance documentation (5 Nov 2003)
* add ModemRecvSuccessCmd (3 Nov 2003)
* add ModemAnswerDialCmd and faxanswer -h "dial"
  options (3, 20 Nov, 5 Dec 2003)
* add modulation changes into the Class 1 fallback (1 Nov 2003)
* enhance Class1TMQueryCmd and Class1RMQueryCmd (1 Nov 2003)
* extend Class1SendMsgDelay default to avoid PPM errors (1 Nov 2003)
* fix recognition of unexpected returns to command-mode (31 Oct 2003)
* fix subaddress sending in Class 1 (28 Oct 2003)
* fix configure for gcc 3.3.1 support (16 Oct 2003)
* improve behavior after last-page PIP reception (15 Oct 2003)
* suppress tiffcheck libtiff warnings from being fatal (13 Oct 2003)
* add Class 1 MMR support (9, 13 Oct 2003)
* configure MIMENCODE, UUENCODE, and ENCODING at compile-time
  and cause faxrcvd to automatically use them (7, 14 Oct 2003)
* correct typerules documentation, %w, %W, %l, and %L (4 Oct 2003)
* correct "1-D MR" nomenclature to "1-D MH" (22 Sep 2003)
* add Class 1 ECM support (20 Sep, 7, 16-17 Oct, 1 Nov, 10 Dec 2003)
* free(base) in HDLCFrame destructor (10 Sep 2003)
* keep PDF mail attachment naming consistent with TIFFs (01 Sep 2003)
* add support for MMR command-line option to tiffcheck (29 Aug 2003)
* add Class1ValidateV21Frames config option (29 Aug 2003)
* add AT_XON to repair Topic functionality (02 Aug 2003)
* enhance faxgetty to send NSF in Class 1 (18 Jul 2003)
* stop faxsend from initializing the modem twice (8 Jul 2003)
* add Class1TMConnectDelay config option (8 Jul 2003)
* add SaveUnconfirmedPages config option (8 Jul 2003)
* require ECM before logging MMR capability (8 Jul 2003)
* fix typo in sendq and doneq man pages (8 Jul 2003)
* fix broken page chopping (30 Jun 2003)
* add extended resolution support (18 Jun, 2 Jul, 23, 26 Sep 2003)

Changelog for HylaFAX 4.1.6 - May 07, 2003

* add edit-faxcover script (06 May 2003)
* try to prevent colliding config files (06 May 2003)
* fix faxq from formatting beyond modems' capabilities (06 May 2003)
* add Samsung NSF code recognition (04 May 2003)
* fix port/install.sh from using incorrect path (28 Apr 2003)
* fix wedged script from flooding FaxMaster (28 Apr 2003)
* fix build for gcc-3.2, RedHat 9, and UnixWare (26 Apr 2003)
* various enhancements to faxsetup (22 Apr 2003)
* make default faxcover template easier to customize (19, 22 Apr 2003)
* add a pause to allow Nokia 6210 compatibility (18 Apr 2003)
* fix the broken Class 1 +FTM response range parser (18 Apr 2003)
* fix some AIX 4.3.3 build problems (15,16 Apr 2003)
* fix 'make distclean' to remove shared libraries (13 Apr 2003)
* include pointer to libtiff.org in configure error (13 Apr 2003)
* allow for OPTIMIZER to be set in build config (13 Apr 2003)
* cause make to stop all on error (13 Apr 2003)
* improve font detection in faxsetup (13 Apr 2003)
* reject garbage in Class 1 HDLC frame reception (01 Apr 2003)
* fix JobReqProto when a transmission fails for reformatting (01 Apr 2003)
* accept libtiff v3.6 in configure (25 Mar 2003)
* remove Class1MsgRecvHackCmd from config/lucent default (25 Mar 2003)
* change RingExtended to not interfere with distinctive ring (25 Mar 2003)
* fix an infinite loop in hfaxd (24 Mar 2003)
* fix faxq QUIT handling when dealing with an active queue (08 Feb 2003)
* fix PDF page counting error which caused segfaults (08 Feb 2003)
* add NOTIFY_FAXMASTER parameter for FaxDispatch (08 Feb 2003)
* fix Str.h assert problem due to hostname parsing (08 Feb 2003)
* fix an assertion error in faxq (08 Feb 2003)
* add 2D-MMR support for Class 2 modems that support it (08 Feb 2003)
* add ModemRingResponse, CIDNumberAnswerLength, and
  CIDNameAnswerLength (08 Feb 2003)
* fix bad shell code in bin/archive (08 Feb 2003)
* fix textfmt behavior when dealing with certain situations (08 Feb 2003)
* add ENCODING parameter for FaxDispatch (08 Feb 2003)
* fix default TIFF resolution to be inches, per spec, (08 Feb 2003)
* add RingTimeout config option (08 Feb 2003)
* clean faxstat output when %Y is used (08 Feb 2003)
* add subaddressing specification capability to sendfax (08 Feb 2003)
* fix numerous compile warnings (08 Feb; 18, 28 Apr 2003)
* cleanup error reporting for several client programs (08 Feb 2003)
* fix overwriting faxcover.ps when reinstalling (23 Jan 2003)
* add prototype support for MT2834ZDXb (14 Jan 2003)
* fix "friend name injection" for OpenUNIX 8 (30 Oct 2002)

Changelog for HylaFAX 4.1.5 - Oct 21, 2002

* fix lockfile polling race condition (21 Oct 2002)

Changelog for HylaFAX 4.1.4 - Oct 20, 2002

* fix broken polling in Class 1 (08 Oct 2002)
* change pollrcvd to behave similarly to faxrcvd (06 Oct 2002)
* fix faxqclean to not miss certain orphaned files (01 Oct 2002)
* change faxrcvd to only require 4 parameters (01 Oct 2002)
* fix recvstats to handle new Super G3 faxing speeds (01 Oct 2002)
* cause faxgetty to poll for lockfiles while RUNNING (01 Oct 2002)
* cause faxq to explicitly trigger LOCKWAIT for faxgetty (01 Oct 2002)
* replace the select bug workaround with a better fix (01 Oct 2002)
* allow sendfax -z option to accept whitespace in file (22 Sep 2002)
* add -f and -c options to probemodem (20 Sep 2002)
* improve sendfax parsing of '-z' destination file (22 Sept 2002)
* disabled Solaris DSO support due to problems (13 Sep 2002)
* add Class1ResponseWaitCmd to help USR send errors (13 Sep 2002)
* add recognition of most of Japan NSF codes (13 Sep 2002)
* fix notify manpage to not include commid (13 Sep 2002)
* fix +XMonth capability of "at" syntax to use 12 month year (13 Sep 2002) 
* fix killtime to allow >= 24 day settings (13 Sep 2002)
* add RingExtended config option (29 Aug 2002)
* pass CID information to faxrcvd when using faxanswer (27 Aug 2002)
* increase the RING timeout setting to six seconds (27 Aug 2002)
* break lucent-isa prototype from lucent (27 Aug 2002)
* add Class1MsgRecvHackCmd otpion (21 Aug 2002)
* add faxqclean -A (force archiving) option (20, 29 Aug 2002)
* fix pdf2fax to be installed properly for custom packaging (19 Aug 2002)
* add Digi AccelePort prototype support (15 Aug 2002)
* number DSOs according to the HylaFAX version (15 Aug 2002)
* make faxalter accept more than one option at a time (14 Aug 2002)
* add recognition of all US and UK NSF codes (14 Aug 2002)
* change ModemBaudRateDelay default to help USRs reset (13 Aug 2002)
* fix xferfaxstats to handle new Super G3 faxing speeds (08 Aug 2002)
* support page counting for PDFs (02 Aug 2002)
* change sendfax to warn users about bad placement of "-d" options (02 Aug 2002)
* fixed faxaddmodem and probemodem for portability (02, 07 Aug 2002)
* corrected some comments in prototype config files (01 Aug 2002)
* added support for new USR Courier modem (01 Aug 2002)

Changelog for HylaFAX 4.1.3 - Jul 27, 2002

* change some comments in the usr-xon and usr-rts (27 Jul 2002)
* synchronize faxd/tif_fax3.h with libtiff's (23 Jul 2002)
* remove the SGI logo from the default coverpage (23 Jul 2002)
* documentation clarification for NoCarrierRetries (22 Jul 2002)
* fix notify.awk to handle jobtag values with colons (19 Jul 2002)
* remove admin-only restriction to the tagline (16 Jul 2002)
* adds prototype support for MultiTech ISI5634PCI (09 Jul 2002)
* caused the wedged script to give exit status (06 Jul 2002)
* allowed faxgetty to identify extended RING data as a RING (06 Jul 2002)
* fixed a buffer overflow when receiving long scan lines (06 Jul 2002)
* enhanced Class1Modem::parseQuery() to parse correctly +FTM responses
  which contain item ranges (dashes) (27 Jun 2002)
* made fixes to enable gcc v3.0 compatibility (15 Jun 2002)
* made minor changes for Sun Forte compiler compatibility (14 Jun 2002)
* fixed hostname format string vulnerabilities in faxrm, faxalter, 
  faxstat, sendfax, sendpage, and faxwatch (14 Jun 2002)
* added TagLineFormat option for receiver's name (14 Jun 2002)
* added MultiTech RTFCC support via Class2RTFCC option (11, 28 Jun 2002)
* workaround a Lucent V92 firmware bug in HDLC frame tracing (08 Jun 2002)
* added Class2PTSQueryCmd for broken Class 2.0 firmwares (08 Jun 2002)
* fixed a TSI format string vulnerability in faxgetty (08 Jun 2002)
* fixed faxrcvd creation of PDFs other than letter size (08 Jun 2002)
* added sendfax -z option to read destinations from a file (08 Jun 2002)
* updated 'make clobberconfig' (27 May 2002)
* added support for Solaris DSOs (24 May 2002)
* fixed Class 1 sending CRP handling (24 May 2002)
* changed Class 1 reception protocol to tolerate long syslog
  delays which could be encountered in extremely heavy loads (24 May 2002)
* added prototype support for Sedlbauer Speedfax ISDN (24 May 2002)
* added Class1TCFRecvHack config option (24 May 2002)
* changed Class1SwitchingDelay to Class1SwitchingCmd (24 May 2002)
* more 64-bit system compatibility enhancement (24 May 2002)
* large update added initial Class 2.1 and V.34-fax support in particular
  for the MultiTech MT5634ZBA-V92 and MT5634ZPX-PCI-V92 (23 May, 14 Jun 2002)
* have faxsetup check the fax user home directory (23 May 2002)
* allow server-side usage of DisplayNumber in dialrules (23 May 2002)
* changed various scripts for POSIX compliance (23 May 2002)
* fixed a logging error in faxqclean (23 May 2002)
* added prototype support for RocketModem PCI (10 May 2002)
* changed the options proccessing order to fix Desired* options (03 May 2002)
* added prototype support for Eicon Diva modems (03 May 2002)
* enhanced configure for OSF-5.1A utmp support (03 May 2002)
* fixed a five-second delay when receiving DID (03 May 2002, 27 May 2002)
* added prototype for Davicom modems (03 May 2002)
* fixed faxqclean to keep referenced docs in the doneq (03 May 2002)
* Japanization and 64-bit system enhancement (03 May 2002)
* fixed a configure problem with sed-3.02.80 (03 May 2002, 23 May 2002)
* fixed a copy quality logic error with Class 2 reception (03 May 2002)
* documented the use of "-1" values in sendfax for MaxDials (03 May 2002)
* correct JobReqOther from interfering with other requeing (03 May 2002)
* add preliminary job archiving support (03 May 2002)
* make stripping of binaries in html conditional on HTML=yes (13 Apr 2002)

Changelog for HylaFAX 4.1.2 - Apr 11, 2002

* T.4 incompatability error message more descriptive (11 Apr 2002) 
* fix faxcron to prevent it from deleting seqf files (11 Apr 2002)
* alter faxaddmodem to perform regex on the ATI0 result (7 Apr 2002)
* enhance defaults to recognize and configure Mac OS X (7 Apr 2002)
* change PWD usage in configure to PWDCMD (7 Apr 2002)
* add notification message to timedout jobs (7 Apr 2002)
* cleanup previous Topic modem enhancement (7 Apr 2002)
* cleanup previous Digital Unix enhancement (7 Apr 2002)
* cleanup previous "F" status enhancement (7 Apr 2002)
* changed many prototype configs to use 19200 baud instead of 38400
  and to not use the "@" dial-command option (7 Apr 2002)
* fix segfault in faxqclean (28 Feb 2002)

Changelog for HylaFAX 4.1.1 - Feb 24, 2002

* resolve faxsetup and textfmt problems with Ghostscript 6.5
  where Fontmap.GS could not be found (14 Feb 2002)
* fix blocked jobs from getting requeued at the end (14 Feb 2002)
* caused faxgetty to pass CIDName to faxrcvd and enhance
  documentation to include DNIS details (14 Feb 2002)
* gave failed jobs status "F" instead of "D" (14 Feb 2002)
* add Topic modem prototype config support (14 Feb 2002)
* replace Class1Send[EOP|PPM|TCF]Delay with 
  Class1[EOP|PPM|TCF]WaitCmd, using +FTS for these pauses,
  resolving some timing issues (14 Feb 2002)
* fix PriorityScheduling and update html for SCO (13 Feb 2002)
* added OpenUNIX support (13 Feb 2002)
* updated config.guess (13 Feb 2002)
* correct ECM detection in Class 2 (2 Feb 2002)
* added ModemSoftResetCmdDelay default and option (2 Feb 2002)
* enhanced Class 1 parseQuery to allow for the use
  of parenthesis (2 Feb 2002)
* added NSF entries for various machine types (2 Feb 2002)
* fixed hfaxd from always exiting nonzero with inetd (2 Feb 2002)
* altered logging to prevent double-double quoting (2 Feb 2002)
* fixed pageSendApp.c++ logging pointer (2 Feb 2002)
* changed the faxaddmodem default to select Class 1 (2 Feb 2002)
* adjusted Class1SwitchingDelay default to fix ISDNs (2 Feb 2002)
* added prototype config support for some Boca, USR, and
  Practical Peripherals modems (2 Feb 2002)
* corrected problems building on Digital UNIX Alphas (2 Feb 2002)
* improved faxgetty glare handling (2 Feb 2002)
* improved some logging verbosity (2 Feb 2002)
* fixed an RTNHandlingMethod typo (16 Dec 2001)
* fixed RTNHandlingMethod brokenness (15 Oct 2001)
* corrected DestControls ability to use numeric arguments and other
  similar DestControls fixes (12 Aug 2001)
* more Lucent and K56 modem prototype config support (12 Aug 2001)
* workaround: stopped trying to utilize NDIS frames (12 Aug 2001)
* added Class1SendMsgDelay (12 Aug 2001)
* enhanced the logging of garbage frames (12 Aug 2001)
* added prototype config support for Hayes Optima (12 Aug 2001)
* fixed faxgetty's parsing of Class 1.0 in +FCLASS=? (12 Aug 2001)
* finally added faxcover "from" options and corrected it to 
  function as documented for comments (12 Aug 2001)
* corrected and enhanced earlier QualifyTSI fix (12 Aug 2001)
* updated config.guess, config.sub from gcc-3.0 (18 Jul 2001)
* cause the sequence files to begin at 1 rather than 2 (15 Jul 2001)
* include external MultiTech into lucent-mt-2 (15 Jul 2001)
* apply use of "none" to rc32acl prototype config (15 Jul 2001)
* corrected documentation regarding some defaults (15 Jul 2001)
* fixed stripQuotes for unexpected TSI quoting (15 Jul 2001)
* integrate Linux DSO support (15 Jul 2001)
* fixed bash v2 verbosity in probemodem (15 Jul 2001)
* note to run hfaxd as root if run from inetd (4 Jul 2001)
* remove setuid from hfaxd in pkg (4 Jul 2001)
* add INSTALL to distrules (4 Jul 2001)
* add prototype config for Prometheus (3 Jul 2001)
* correct timing of DCN after failed QualifyTSI check (2 Jul 2001)
* fix Class 1 EOM handling (2 Jul 2001)
* add Class1SendEOPDelay config option and increase the default 
  from 95ms to 200ms to prevent modem timeouts (2 Jul 2001)
* enhance faxrcvd to utilize CID, use FILETYPE (for FaxDispatch), and 
  other minor faxrcvd enhancments (2 Jul 2001)
* pass CID data through successive rings and to faxrcvd (2 Jul 2001)
* caused bulk faxes to drop in requeue priority (2 Jul 2001)
* fix faxaddmodem from mis-parsing a modem's phone number (2 Jul 2001)
* added 7-bit text support to typerules (2 Jul 2001)
* stop faxqclean from deleting docq files that are in-use (2 Jul 2001)
* fixed a bash barf when VERSION changed (2 Jul 2001)
* caused configure to check zlib before libtiff (2 Jul 2001)
* added prototype config support for AT&T Lucent modem (2 Jul 2001)
* applied the use of "none" in rc288dpi config (2 Jul 2001)

Changelog for HylaFAX 4.1 - Jul 1, 2001

* tidied up README & INSTALL for full release (01 Jul 2001)
* repaired dangling references to recently renamed manpages (01 Jul 2001)
* no other changes - 4.1rc2 basically promoted to 4.1

Changelog for HylaFAX 4.1rc2 - Jun 17, 2001

* corrected some default JobReq* values (17 Jun 2001)
* clarified documentation on sendfax -k option (17 Jun 2001)
* added prototype configs for Courier and Zyxel models (17 Jun 2001)
* added "Modem" option to DestControls (17 Jun 2001)
* fix a segfault when processing null HDLC frames (17 Jun 2001)
* continue manpage naming transition of 03 Jun (13 Jun 2001)
* fix minor flaw in PriorityScheduling documentation (13 Jun 2001)
* improve faxsetup onClient routines (07, 14 Jun 2001)
* impose a T2 timeout on faxgetty vulnerability (07 Jun 2001)
* updates for HTML documentation (07 Jun 2001)

Changelog for HylaFAX 4.1rc1 - Jun 04, 2001

* remove use of /sbin/killall, problematic on Tru64 (04 Jun 2001)
* fix ModemServer.c++ for OpenBSD (04 Jun 2001)
* change manpage names: config to hylafax-config, info to
  hylafax-info, log to hylafax-log, and shutdown to
  hylafax-shutdown (03 Jun 2001)
* add configs for UMC9624 and MT5634ZPX-PCI modems (03 Jun 2001)
* fix TimeOfDay race if using bad syntax (03 Jun 2001)
* break the initialization string apart and
  remove ModemOnHookCmd from it (03 Jun 2001)
* allow use of "none" in five config options (03 Jun 2001)
* add HylaFAX version and device usage in logs (30 May 2001)
* rearrangements in configure to fix HP sed (30 May 2001)
* change default spool dir to /var/spool/hylafax (29 May 2001)
* make ModemServer attempt resets twice, if needed (29 May 2001)
* fixes for building outside of source tree (27 May 2001)
* fixes for 'make package' (27 May 2001)
* removed a goto in faxd/Class1Send.c++ which
  caused compile errors for some (27 May 2001)
* improved error handling for:  (20 May 2001)
  - DLE+ETX
  - ERROR after AT+FRM (instead of +FCERROR)
  - faxgetty training hangups
* added ModemDTRDropDelay config option and default,
  correcting some "Can not setup modem" issues (20 May 2001)
* improved logging verbosity for SEND FAILED (20 May 2001)
* updated various documentation antiquities (20 May 2001)
* added Lucent (LT) Winmodem prototype config (20 May 2001)
* added default status/any.info creation by faxsetup (20, 27 May 2001)
* added PriorityScheduling option and POSIX function (20 May 2001)
* fixed previous utmp update for libc5 (20 May 2001)
* added Class1SwitchingDelay config option and default,
  correcting some timeout errors (20 May 2001)
* fixed file gid numbering (20 May 2001)
* Adjusted faxq to load-balance modems with equal priority (22 Apr 2001)
* Added new CONTRIBUTORS (14 Apr 2001)
* Merged performance-rts into rc288dpi-1 config file (14/19 Apr 2001)
* Fixed vix.com reference in hylafax-server man page (14 Apr 2001)
* Fixed \(dg character mis-recognition in faxwatch man page (14 Apr 2001)
* Fixed hard-coded man page numbers in scripts (14/16 Apr 2001)
* Clarify documentation of MaxConcurrentJobs (14 Apr 2001)
* Alter install of hfaxd to not be suid (13 Apr 2001)
* Fix hfaxd -q format string vulnerability (13 Apr 2001)
* Add more NSF codes to known-NSF list (26 Mar 2001, 14 Apr 2001)
* Fix to allow null-TSI matching (19 Mar 2001)
* Fix USR default use of Class2APQueryCmd (19 Mar 2001)
* Added server-side PDF conversion (19 Mar 2001, 14/17 Apr 2001)
* Correct a typo in wedged man page (08 Mar 2001)
* Fixed incorrect paths in some man pages (08 Mar 2001)
* Various utmpx, LOCKS, and IXO_XMITTIMEOUT fixes (08 Mar 2001)

Changelog for HylaFAX 4.1beta3 - Feb 21, 2001

* creation of doneq manpage (20Feb2001)
* changed link order in defs.in to fix SCO 3.2v4.2 (11Feb2001)
* standardize default TagLine behavior (05Feb2001)
* add prototype support for more Cirrus modems (05Feb2001)
* added faxstat %Y and %Z JobFmt options (04Dec2000)
* man/sendfax corrections (26Nov2000, 04Dec2000, 05Feb20001)
* replace \(tm and dagger characters in manpages (26Nov2000, 04Dec2000)
* correct recvstats and xferfaxstats from skipping 1st day of month (26Nov2000)
* added prototype support to usr-rts and usr-xon configs (15Nov2000, 05Feb2001)
* added prototype support to config/usr-2.0 (15Nov2000)
* added prototype support to config/rc288dpi (15Nov2000)
* replace SysV SIGCLD define with posix SIGCHLD define (15Nov2000)
* fix faxsetup typo causing a bash error (30Oct2000)
* some typos in the tarball. Corrected Hylafax -> HylaFAX (29Oct2000)
* rework of README, COPYRIGHT, and CONTRIBUTORS files (29Oct2000, 04Dec2000)
* man/config corrections (29Oct2000, 26Nov2000)
* awk fix for Solaris (28Oct2000)
* created a non-interactive configure option (21Oct2000)
* various html documentation updates (15Oct2000)
* significant SysV init-script upgrade (15Oct2000, 31Oct2000)
* remove useless and problematic verifyModemRate from faxaddmodem (24Sep2000)
* fix faxsetup/faxaddmodem fuser errors (24Sep2000, 30Oct2000)
* replace MANSEDLOCAL from configure and manpage numbering fixes 
  (23Sep2000, 13Nov2000, 06Feb2001)
* clean up code to create FDIS strings and temp filename creation in
  SendFaxClient (21Sep2000)
* sprintf type cleanups to faxd files (21Sep2000)
* fix fxAssert that was around the wrong way in Str.c++ (21Sep2000)
* replace sprintf with snprintf in faxadduser, faxdeluser and faxmsg
  (20Sep2000)
* trap some other potential overflows in faxmsg (20-21Sep2000)
* enhance the durability of the fxStr classes format() and vformat() methods 
  using the [v]snprintf functions (20Sep2000)
* replace sprintf() call in faxalter.c++ with fxStr::format() (20Sep2000)
* add snprintf and vsnprintf to port functions (20Sep2000, 15Nov2000)
* fix format functions(ie sprintf) so that they are not called twice 
  on the same string (20Sep2000)
* fix typo fxStr::format() to fxStr::vformat() in ModemServer.c++ (19Sep2000)
* ensure the va_list in ModemServer.c++ is not reused (16Sep2000)
* fix isolating snprintf calls to fxStr class (16Sep2000)
* cleaned up some potential buffer overflows (16Sep2000)
* fix faxsetup for Linux users (14Sep2000)
* fix faxsetup crashes due to useradd not supporting -o option (13Sep2000,
  19Sep2000)
* Class 1 fixes: (08Sep2000)
    - fix minimum scan line time
    - fix first and last scan lines
    - fix some EOP/MPS errors
    - ModemRecvFillOrder default value is now autodetected
    - Class 2.0 for USR modems is now disabled by default if no ModemType
    - ModemFlowControl default value is now XONXOFF instead of NONE
    - correct ModemMfrQueryCmd and ModemModelQueryCmd default values
* fix ugly bash-2 script output in faxaddmodem (05Sep2000)
* shift the left margin in 0.4 inches when invoking textfmt (04Sep2000)
* fix 2 instances of find statement so that it doesn't select directories
  (04Sep2000)
* add -dFIXEDMEDIA in ps2fax.gs to cope with broken Windows Postscript
  (04Sep2000)
* add letter size paper handling to ps2gax.gs script (04Sep2000)
* fix pagesize handling in faxmail (04Sep2000)
* zlib removed from HylaFAX distribution (03Sep2000, 16Sep2000)
* Class 2 fix post-page response (AT+FET) (02Sep2000)
* fix problem on some Solaris systems using gcc (31Aug2000)
* fix a missing format specifier in the FaxRecv.c++ traceServer() call
  (29Aug2000)
* portably fix faxaddmodem to not cause grep to complain about directories
  (29Aug2000)
* Class 2 RTN algorithm changed. RTNHandlingMethod parameter added (26Aug2000)
  -RTC is not sent automatically anymore (affects usr-2.0 and 
   ppi-pm14400fxmt)
* checks added to prevent possible crash when the DTE returns a broken NSF
  frame (25Aug2000)
* typerules support for PDF (23Aug2000)
* fix vendorIdSize const definition to be outside the class itself
  (14-15Aug2000)
* use @SCRIPT_SH@ instead of /bin/sh in recvstats, faxcron, and xferfaxstats
  (21Jul2000)
* correct awk substr to be explicitly origin-1 in faxcron (21Jul2000)
* fix variable assignment in faxsetup else loop (21Jul2000)
* fix unbounded access to fxStr nsf in NSF.c++ (29Jun2000)
* rename rockwell config file to rockwell-rc (23Jun2000)
* defensive shell programming action (18Jun2000)
* BSD and other portability fixes (18Jun2000)
* security fixes (18Jun2000, 23Jun2000)
* Class 2 fix to distinguish between RTN and PIN (07Jun2000)
* Dmitry's class1-general patch: (07Jun2000)
    - Decoding T.30 DIS Frame
    - HDLC Timeout
    - Numberof training attempts
    - Correct delay on soft-resets
* beautify SysV init script output (05Jun2000)
* new config file for the AT&T DataPort Express in Class 2 (03Jun2000)
* silence pointless stty errors when running faxaddmodem on Linux (03Jun2000)
* SCO 5 workaround for ioctl (03Jun2000)
* add '-type f' to find invocation in faxcron (01Jun2000) 
* added ModemSoftResetCmd to the start of default reset string (29May2000)
* rework of configure libtiff test; supports detecting 3.4 and 3.5
  (28May2000, 29May2000, 03Jun2000, 06Jun2000, 08Jun2000, 13Aug2000)
* allow HylaFAX to print national characters in the tagline (29Mar2000)
* clean up lingering docq files on multi-destination faxes (23Mar2000)
* fix problem with NSF.c++ decode() routine (18May2000)
* recognition of common NSF strings from fax vendors (15May2000)
* remove unused 'modemresetcmd' from ModemConfig.c++ (11May2000)
* libtiff-3.5 compatibility fix!!! (11May2000)
* fix O_EXCL handling when opening sequence file (31Mar2000)
* fix Y2K rollover bug (29Mar2000)
* fix erronious xferfaxstats/recvstats output (29Mar2000)
* correction so faxcron returns traces of suspicious failures (29Mar2000)
* automatically call BreakIntoCommentX in faxcover to create commentX vars 
  (10Mar2000, 17Mar2000)
* reorder header files in SuperServer.c++ (10Mar2000)
* Y2K fix to SNPPClient.c++ (08Mar2000)
* fix to faxQueueApp.c++ crackArgv function to correctly handle end of
  string (08Mar2000)
* added snprintf protoype checking to configure (05Mar2000, 10Mar2000)
* ensure that fd_set is properly defined in the Dispatcher header file
  (05Mar2000)
* fixed mkstemp wrapper function in util/Sys.h (05Mar2000)
* added missing 'char*' declaration to cp variable in faxcover (03Mar2000)
* added new config file for Performance modems (29Feb2000)
* create new config file: rockwell-k56 (04Dec1999, 29Feb2000, 22Jun2000)
* updated info about the mailing list archives and added info about the links
  and resources page to the supporting documentation section (03Dec1999)
* made mavigation links consistent in html (03Dec1999)
* in html recommend 1.16b firmware to reduce T.30 T2 timeout errors for
  Multitech (03Dec1999)
* created icon used for navigation in modem pages (21Nov1999)
* html updated for new modem pages and contents.gif icon (21Nov1999)
* security fixes (17-18Nov1999)
    - cleaned up whitespace in MIMEState.c++
    - added a glibc check after mkstemp() in faxmail
    - fixed another potential overflow in imgtofax.c
* security fix for faxcover (17Nov1999)
* zlib configure fixes (17Nov1999, 03Mar2000)
* fix faxalter security vulnerability (11Nov1999)
* fix the BoundingBox parameter in TextFmt.c++ (10Sep1999)
* incorporated the version number into the config.h file (02Sep1999)
* prefer sigaction() over sigvec() for signal handling functions (01Sep1999)
* Unixware portability fixes (01Sep1999)
* support work for HP-UX 11 (23Aug1999, 02Sep1999, 06Sep2000)
* support gcc-2.95 (23Aug1999, 27Aug1999, 30May2000)
* broke hylafax manpage into hylafax-server and hylafax-client (18Aug1999,
  15Oct2000)
* add Ultrix Guidance in html (18Aug1999)
* created manpages for faxadduser and faxdeluser (11Aug1999)
* continued fixes due to renaming etc/hosts to etc/hosts.hfaxd (05Aug1999,
  15Oct2000)
* added faxadduser and faxdeluser utilities (05Aug1999, 11Aug1999)
* fixes in the package directory (05Aug1999)
* standardize defines included in Makefile headers among the subdirectories
  (05Aug1999)
* removed section numbers from manpages in html (02-03Aug1999)
* html modems list updated (26Jul1999)
* fix bool in configure (26Jul1999)
* configure script updates (26Jul1999)
* added support for Elsa Microlink modem (15Jul1999)
* various information updates for change to hylafax.org (15Jul1999)
* change ModemClass parameter to ModemGroup (10Jul1999)
* created a BreakIntoCommentX faxcover function (30Jun1999, 10Jul1999)
